
 DROP VIEW YNA_INV_COST_SHIPMENT_VW ;
CREATE VIEW YNA_INV_COST_SHIPMENT_VW 
(
	OWNER_KEY , 
	INVENTORY_SHIPMENT_KEY , 
	INVENTORY_ITEM_KEY , 
	SHIPNODE_KEY , 
	TRAN_DATE , 
	TRAN_TYPE , 
	TRAN_KEY , 
	ORDER_HEADER_KEY , 
	ORDER_LINE_KEY , 
	REFERENCE_1 , 
	REFERENCE_2 , 
	ACCOUNT_NO , 
	QUANTITY , 
	POSTED_QUANTITY 
)
 AS 
SELECT
		 OH.SELLER_ORGANIZATION_CODE,
		 INVENTORY_SHIPMENT_KEY,
		 INVENTORY_ITEM_KEY,
		 SHIPNODE_KEY,
		 TRAN_DATE,
		 TRAN_TYPE,
		 TRAN_KEY,
		 YIS.ORDER_HEADER_KEY,
		 ORDER_LINE_KEY,
		 REFERENCE_1,
		 REFERENCE_2,
		 ACCOUNT_NO,
		 QUANTITY,
		 POSTED_QUANTITY
FROM  YFS_INVENTORY_SHIPMENT YIS,
	 YFS_ORDER_HEADER OH 
WHERE	 OH.ORDER_HEADER_KEY  = YIS.ORDER_HEADER_KEY
 AND	OH.DRAFT_ORDER_FLAG  = 'N'


;
