
 DROP VIEW YNA_LPN_HEADER_VW ;
CREATE VIEW YNA_LPN_HEADER_VW 
(
	LOCATION_ID , 
	NODE_KEY , 
	ZONE_ID , 
	LPN_NO , 
	LPN_TYPE , 
	ORGANIZATION_CODE , 
	CASE_QTY , 
	LENGTH , 
	WIDTH , 
	HEIGHT , 
	WEIGHT , 
	WEIGHT_UOM , 
	DIMENSION_UOM , 
	IS_ALLOCATED , 
	IS_SHIPMENT_ASSIGNED , 
	SEGMENT , 
	OUTER_MOST_LPN_NO 
)
 AS 
SELECT
		 A2.LOCATION_ID,
		 A2.NODE_KEY,
		 A2.ZONE_ID,
		 A1.LPN_NO,
		 A1.LPN_TYPE,
		 A1.ORGANIZATION_CODE,
		 A1.CASE_QUANTITY,
		 A1.LENGTH,
		 A1.WIDTH,
		 A1.HEIGHT,
		 A1.WEIGHT,
		 A1.WEIGHT_UOM,
		 A1.DIMENSION_UOM,
		 A1.IS_ALLOCATED,
		 A1.IS_SHIPMENT_ASSIGNED,
		 A1.SEGMENT,
		 A1.OUTER_MOST_LPN_NO
FROM  YFS_LPN_HDR A1,
	 YFS_LPN_LOCATION A2 
WHERE	 A1.OUTER_MOST_LPN_NO  = A2.OUTER_MOST_LPN_NO


;
