
 DROP VIEW YNA_DAILY_SHIPMENT_VW ;
CREATE VIEW YNA_DAILY_SHIPMENT_VW 
(
	STATISTICS_DATE , 
	DOCUMENT_TYPE , 
	SHIP_MODE , 
	ENTERPRISE_CODE , 
	SHIPNODE_KEY , 
	SELLER_ORGANIZATION_CODE , 
	SCAC , 
	PENDING_SHIPMENTS , 
	NEW_SHIPMENTS , 
	TOTAL_SHIPPED , 
	PENDING_SHIPPED , 
	EARLY_SHIPPED , 
	ON_TIME_SHIPPED , 
	CARRIED_OVER , 
	TOTAL_CARTONS_SHIPPED , 
	TOTAL_QUANTITY 
)
 AS 
SELECT
		 b1.STATISTICS_DATE,
		 b1.DOCUMENT_TYPE,
		 b1.SHIP_MODE,
		 b1.ENTERPRISE_CODE,
		 b1.SHIPNODE_KEY,
		 b1.SELLER_ORGANIZATION_CODE,
		 b1.SCAC,
		 b1.PENDING_SHIPMENTS,
		 b1.NEW_SHIPMENTS,
		 b1.TOTAL_SHIPPED,
		 b1.PENDING_SHIPPED,
		 b1.EARLY_SHIPPED,
		 b1.ON_TIME_SHIPPED,
		 b1.CARRIED_OVER,
		 b1.TOTAL_CARTONS,
		 b1.TOTAL_SHIPPED_QUANTITY
FROM  YFS_SHIPMENT_STATISTICS b1 
WHERE	 b1.SHIPMENTS_ARCHIVED  <> 'Y'


;
