
 DROP VIEW YNA_WORK_ORDER_APPT_VW ;
CREATE VIEW YNA_WORK_ORDER_APPT_VW 
(
	WORK_ORDER_APPT_KEY , 
	WORK_ORDER_KEY , 
	APPT_SEQ , 
	EXECUTION_START_TIME , 
	EXECUTION_END_TIME , 
	EXECUTION_BY , 
	EXECUTION_DURATION , 
	PROMISED_APPT_START_DATE , 
	PROMISED_APPT_END_DATE , 
	APPT_STATUS , 
	RESOURCE_POOL_ID , 
	SERVICE_RESOURCE_ID , 
	IS_SLOT_BASED , 
	ALLOCATED_QUANTITY , 
	REQUESTED_QUANTITY , 
	FAILURE_REASON_CODE , 
	EXECUTION_COMMENTS , 
	IS_FIRM_PREDEF_RES_POOL , 
	IS_FIRM_PREDEF_SRV_RES , 
	EXPECTED_APPT_START_DATE , 
	EXPECTED_APPT_END_DATE , 
	STOP_NUMBER , 
	IS_ROUTE_PLANNING_COMPLETE , 
	ITEMS_NOT_USED , 
	ADDITIONAL_EQUIPMENT_USED , 
	NON_INV_ITEMS_RETURNED , 
	ALERT_SCHEDULER , 
	ALERT_SALES , 
	ATTENTION_REQUIRED , 
	VEHICLE_NUMBER , 
	VEHICLE_ODOMETER_READING , 
	VEHICLE_SERVICE_REQUEST 
)
 AS 
SELECT
		 WORK_ORDER_APPT_KEY,
		 WORK_ORDER_KEY,
		 APPT_SEQ,
		 EXECUTION_START_TIME,
		 EXECUTION_END_TIME,
		 EXECUTION_BY,
		 EXECUTION_DURATION,
		 PROMISED_APPT_START_DATE,
		 PROMISED_APPT_END_DATE,
		 APPT_STATUS,
		 RESOURCE_POOL_ID,
		 SERVICE_RESOURCE_ID,
		 IS_SLOT_BASED,
		 ALLOCATED_QUANTITY,
		 REQUESTED_QUANTITY,
		 FAILURE_REASON_CODE,
		 EXECUTION_COMMENTS,
		 IS_FIRM_PREDEF_RES_POOL,
		 IS_FIRM_PREDEF_SRV_RES,
		 EXPECTED_APPT_START_DATE,
		 EXPECTED_APPT_END_DATE,
		 STOP_NUMBER,
		 IS_ROUTE_PLANNING_COMPLETE,
		 ITEMS_NOT_USED,
		 ADDITIONAL_EQUIPMENT_USED,
		 NON_INV_ITEMS_RETURNED,
		 ALERT_SCHEDULER,
		 ALERT_SALES,
		 ATTENTION_REQUIRED,
		 VEHICLE_NUMBER,
		 VEHICLE_ODOMETER_READING,
		 VEHICLE_SERVICE_REQUEST
FROM  YFS_WORK_ORDER_APPT 


;
