CREATE OR REPLACE VIEW YNA_ORGANIZATION_SHIP_NODES_VW (  ORGANIZATION_KEY,  SHIPNODE_KEY,   SHIP_NODE, DESCRIPTION, SHIPNODE_TYPE, INTERFACE_TYPE,   INTERFACE_SUB_TYPE, ACTIVATE_FLAG, SHIP_NODE_ADDRESS_KEY,   PICKLIST_TYPE, TIME_DIFF, LOCATION_LATITUDE, LOCATION_LONGITUDE,   SHIP_NODE_CLASS, RETURN_CENTER_FLAG, ACCEPTANCE_REQUIRED, GENERATE_BOL_NUMBER,   CURRENT_BOL_NUMBER, EXPORT_TAXPAYER_ID,   EXPORT_LICENSE_NO, EXPORT_LICENSE_EXP_DATE, INVENTORYTYPE, DEFAULT_DECLARED_VALUE,   MAINTAIN_INVENTORY_COST, INVENTORY_TRACKED, SHIPPING_NODE, RECEIVING_NODE,   RETURNS_NODE, THREE_PL_NODE, LOCALECODE,   REQUIRES_CHANGE_REQUEST,  DCM_INTEGRATION_REAL_TIME  ,SERIAL_TRACKING  ,INHERIT_CONFIG_FROM_SHIPNODE  ,NODE_ORG_CODE  ,MAX_DAYS_TO_SCH_BEFORE  ,PROCURE_TO_SHIP_ALLOWED  ,X_DOC_NODE  ,USE_END_OF_SHIFT_TIME  ,CONTACT_ADDRESS_KEY,   GLN,  SUBSTITUTION_ALLOWED,  WORK_ORDER_CREATION_ALLOWED,  IDENTIFIED_BY_PARENT_AS,  MAX_CONCURRENT_WAVES,  AGENT_CRITERIA_GROUP,  BOL_PREFIX  ,TAG_TRACKED_IN_INVENTORY  ,TAG_TRACKED_AT_RECEIPT  ,CAN_SHIP_TO_ALL_NODES  ,REQUIRE_TRANSFER_ACCEPTANCE      ,CONT_ADDRESS_PERSON_INFO_KEY  ,  	CONT_ADDRESS_PERSON_ID  ,  	CONT_ADDRESS_TITLE  ,  	CONT_ADDRESS_FIRST_NAME  ,  	CONT_ADDRESS_MIDDLE_NAME  ,  	CONT_ADDRESS_LAST_NAME  ,  	CONT_ADDRESS_SUFFIX  ,  	CONT_ADDRESS_DEPARTMENT  ,  	CONT_ADDRESS_COMPANY  ,  	CONT_ADDRESS_JOB_TITLE  ,  	CONT_ADDRESS_ADDRESS_LINE1  ,  	CONT_ADDRESS_ADDRESS_LINE2  ,  	CONT_ADDRESS_ADDRESS_LINE3  ,  	CONT_ADDRESS_ADDRESS_LINE4  ,  	CONT_ADDRESS_ADDRESS_LINE5  ,  	CONT_ADDRESS_ADDRESS_LINE6  ,  	CONT_ADDRESS_CITY  ,  	CONT_ADDRESS_STATE  ,  	CONT_ADDRESS_ZIP_CODE  ,  	CONT_ADDRESS_COUNTRY  ,  	CONT_ADDRESS_DAY_PHONE  ,  	CONT_ADDRESS_EVENING_PHONE  ,  	CONT_ADDRESS_MOBILE_PHONE  ,  	CONT_ADDRESS_BEEPER  ,  	CONT_ADDRESS_OTHER_PHONE  ,  	CONT_ADDRESS_DAY_FAX_NO  ,  	CONT_ADDRESS_EVENING_FAX_NO  ,  	CONT_ADDRESS_EMAILID  ,  	CONT_ADDRESS_ALTERNATE_EMAILID  ,  	CONT_ADDRESS_HTTP_URL,   	SHIP_NODE_PERSON_INFO_KEY  ,  	SHIP_NODE_PERSON_ID  ,  	SHIP_NODE_TITLE  ,  	SHIP_NODE_FIRST_NAME  ,  	SHIP_NODE_MIDDLE_NAME  ,  	SHIP_NODE_LAST_NAME  ,  	SHIP_NODE_SUFFIX  ,  	SHIP_NODE_DEPARTMENT  ,  	SHIP_NODE_COMPANY  ,  	SHIP_NODE_JOB_TITLE  ,  	SHIP_NODE_ADDRESS_LINE1  ,  	SHIP_NODE_ADDRESS_LINE2  ,  	SHIP_NODE_ADDRESS_LINE3  ,  	SHIP_NODE_ADDRESS_LINE4  ,  	SHIP_NODE_ADDRESS_LINE5  ,  	SHIP_NODE_ADDRESS_LINE6  ,  	SHIP_NODE_CITY  ,  	SHIP_NODE_STATE  ,  	SHIP_NODE_ZIP_CODE  ,  	SHIP_NODE_COUNTRY  ,  	SHIP_NODE_DAY_PHONE  ,  	SHIP_NODE_EVENING_PHONE  ,  	SHIP_NODE_MOBILE_PHONE  ,  	SHIP_NODE_BEEPER  ,  	SHIP_NODE_OTHER_PHONE  ,  	SHIP_NODE_DAY_FAX_NO  ,  	SHIP_NODE_EVENING_FAX_NO  ,  	SHIP_NODE_EMAILID  ,  	SHIP_NODE_ALTERNATE_EMAILID  ,  	SHIP_NODE_HTTP_URL   )  AS 
SELECT 
  OWNER_KEY,
  SHIPNODE_KEY,
  SHIP_NODE,
  DESCRIPTION,
  SHIPNODE_TYPE,
  INTERFACE_TYPE,
  INTERFACE_SUB_TYPE,
  ACTIVATE_FLAG,
  SHIP_NODE_ADDRESS_KEY,
  PICKLIST_TYPE,
  TIME_DIFF,
  SN.LATITUDE,
  SN.LONGITUDE,
  SHIP_NODE_CLASS,
  RETURN_CENTER_FLAG,
  ACCEPTANCE_REQUIRED,
  GENERATE_BOL_NUMBER,
  CURRENT_BOL_NUMBER,
  EXPORT_TAXPAYER_ID,
  EXPORT_LICENSE_NO,
  EXPORT_LICENSE_EXP_DATE,
  INVENTORYTYPE,
  DEFAULT_DECLARED_VALUE,
  MAINTAIN_INVENTORY_COST,
  INVENTORY_TRACKED,
  SHIPPING_NODE,
  RECEIVING_NODE,
  RETURNS_NODE,
  THREE_PL_NODE,
  LOCALECODE,
  REQUIRES_CHANGE_REQUEST,
  DCM_INTEGRATION_REAL_TIME  ,
  SERIAL_TRACKING  ,
  INHERIT_CONFIG_FROM_SHIPNODE  ,
  NODE_ORG_CODE  ,
  MAX_DAYS_TO_SCH_BEFORE  ,
  PROCURE_TO_SHIP_ALLOWED  ,
  X_DOC_NODE  ,
  USE_END_OF_SHIFT_TIME  ,
  SN.CONTACT_ADDRESS_KEY,
  GLN,
  SUBSTITUTION_ALLOWED,
  WORK_ORDER_CREATION_ALLOWED,
  IDENTIFIED_BY_PARENT_AS,
  MAX_CONCURRENT_WAVES,
  AGENT_CRITERIA_GROUP,
  BOL_PREFIX      ,
  TAG_TRACKED_IN_INVENTORY  ,
  TAG_TRACKED_AT_RECEIPT  ,
  CAN_SHIP_TO_ALL_NODES  ,
  REQUIRE_TRANSFER_ACCEPTANCE  ,
  PI2.PERSON_INFO_KEY  ,
  PI2.PERSON_ID  ,
  PI2.TITLE  ,
  PI2.FIRST_NAME  ,
  PI2.MIDDLE_NAME  ,
  PI2.LAST_NAME  ,
  PI2.SUFFIX  ,
  PI2.DEPARTMENT  ,
  PI2.COMPANY  ,
  PI2.JOB_TITLE  ,
  PI2.ADDRESS_LINE1  ,
  PI2.ADDRESS_LINE2  ,
  PI2.ADDRESS_LINE3  ,
  PI2.ADDRESS_LINE4  ,
  PI2.ADDRESS_LINE5  ,
  PI2.ADDRESS_LINE6  ,
  PI2.CITY  ,
  PI2.STATE  ,
  PI2.ZIP_CODE  ,
  PI2.COUNTRY  ,
  PI2.DAY_PHONE  ,
  PI2.EVENING_PHONE  ,
  PI2.MOBILE_PHONE  ,
  PI2.BEEPER  ,
  PI2.OTHER_PHONE  ,
  PI2.DAY_FAX_NO  ,
  PI2.EVENING_FAX_NO  ,
  PI2.EMAILID  ,
  PI2.ALTERNATE_EMAILID  ,
  PI2.HTTP_URL,
  PI3.PERSON_INFO_KEY  ,
  PI3.PERSON_ID  ,
  PI3.TITLE  ,
  PI3.FIRST_NAME  ,
  PI3.MIDDLE_NAME  ,
  PI3.LAST_NAME  ,
  PI3.SUFFIX  ,
  PI3.DEPARTMENT  ,
  PI3.COMPANY  ,
  PI3.JOB_TITLE  ,
  PI3.ADDRESS_LINE1  ,
  PI3.ADDRESS_LINE2  ,
  PI3.ADDRESS_LINE3  ,
  PI3.ADDRESS_LINE4  ,
  PI3.ADDRESS_LINE5  ,
  PI3.ADDRESS_LINE6  ,
  PI3.CITY  ,
  PI3.STATE  ,
  PI3.ZIP_CODE  ,
  PI3.COUNTRY  ,
  PI3.DAY_PHONE  ,
  PI3.EVENING_PHONE  ,
  PI3.MOBILE_PHONE  ,
  PI3.BEEPER  ,
  PI3.OTHER_PHONE  ,
  PI3.DAY_FAX_NO  ,
  PI3.EVENING_FAX_NO  ,
  PI3.EMAILID  ,
  PI3.ALTERNATE_EMAILID  ,
  PI3.HTTP_URL
FROM 
  YFS_SHIP_NODE SN  ,
  YFS_PERSON_INFO PI2  ,
  YFS_PERSON_INFO PI3
WHERE 
  SN.CONTACT_ADDRESS_KEY = PI2.PERSON_INFO_KEY (+)  AND
  SN.SHIP_NODE_ADDRESS_KEY = PI3.PERSON_INFO_KEY (+)  
  ;