CREATE OR REPLACE VIEW YNA_BOL_REPORT_VW 
(
BOL_NO,
SCAC,
ACTUAL_DEPARTURE_DATE,
NO_OF_CASES,
NO_OF_PALLETS,
TOTAL_WEIGHT,
TOTAL_WEIGHT_UOM,
Ship_Node,
Document_Type,
Enterprise_Code
)
AS SELECT
YFS_LOAD.BOL_NO,
YFS_LOAD.SCAC,
YFS_LOAD.ACTUAL_DEPARTURE_DATE,
((SELECT COUNT (*) FROM yfs_shipment_container yfs_shipment_container WHERE yfs_shipment_container.LOAD_KEY=YFS_LOAD.LOAD_KEY AND yfs_shipment_container.CONTAINER_TYPE='Case' AND yfs_shipment_container.PARENT_CONTAINER_KEY=' ')
+ (SELECT COUNT (*) FROM YFS_LOAD_SHIPMENT YFS_LOAD_SHIPMENT, yfs_shipment_container yfs_shipment_container WHERE yfs_shipment_container.SHIPMENT_KEY=YFS_LOAD_SHIPMENT.SHIPMENT_KEY AND YFS_LOAD_SHIPMENT.LOAD_KEY= YFS_LOAD.LOAD_KEY AND yfs_shipment_container.CONTAINER_TYPE='Case' AND yfs_shipment_container.PARENT_CONTAINER_KEY=' ')) NO_OF_CASES
,((SELECT COUNT(*) FROM  yfs_shipment_container yfs_shipment_container WHERE yfs_shipment_container.LOAD_KEY=YFS_LOAD.LOAD_KEY AND yfs_shipment_container.CONTAINER_TYPE='Pallet' AND yfs_shipment_container.PARENT_CONTAINER_KEY=' ')
+ (SELECT COUNT (*) FROM YFS_LOAD_SHIPMENT YFS_LOAD_SHIPMENT, yfs_shipment_container yfs_shipment_container WHERE yfs_shipment_container.SHIPMENT_KEY=YFS_LOAD_SHIPMENT.SHIPMENT_KEY AND YFS_LOAD_SHIPMENT.LOAD_KEY= YFS_LOAD.LOAD_KEY AND yfs_shipment_container.CONTAINER_TYPE='Pallet' AND yfs_shipment_container.PARENT_CONTAINER_KEY=' ')) NO_OF_PALLETS
,YFS_LOAD.TOTAL_WEIGHT,
YFS_LOAD.TOTAL_WEIGHT_UOM
,YFS_LOAD.ORIGIN_NODE
,(SELECT MAX(YFS_SHIPMENT.Document_Type) FROM YFS_Load_Shipment,YFS_SHIPMENT Where YFS_Load.Load_key = YFS_Load_Shipment.Load_key
AND YFS_SHIPMENT.Shipment_Key = Yfs_Load_Shipment.Shipment_Key) DOCUMENT_TYPE
,YFS_LOAD.ENTERPRISE_CODE
FROM YFS_Load YFS_LOAD
;