CREATE OR REPLACE VIEW YNA_SHIPMENT_ADD_VW (
SHIPMENT_KEY, 
PICKTICKET_NO, SHIP_DATE, SHIPNODE_KEY, SHIP_MODE, 
FROM_ADDRESS_KEY, TO_ADDRESS_KEY, HAS_OTHER_SHIPMENTS, PARENT_SHIPMENT_KEY, 
SHIP_VIA, SEAL_NO, TRACKING_NO, TRAILER_NO, 
MANIFEST_NO, PRO_NO, SCAC, ACTUAL_FREIGHT_CHARGE, 
CARRIER_SERVICE_CODE, STATUS, POD_NO, BOL_NO, 
TOTAL_WEIGHT, TOTAL_WEIGHT_UOM, TOTAL_VOLUME, TOTAL_VOLUME_UOM, 
IT_NO, IT_DATE, APPOINTMENT_NO, FROM_APPOINTMENT, 
TO_APPOINTMENT, DELIVERY_TS, CODE, 
NUM_OF_PALLETS, NUM_OF_CARTONS, EXPORT_TAXPAYER_ID, FREIGHT_TERMS, 
DELIVERY_CODE, CARRIER_TYPE, DOWNLOAD_COUNT, CURRENCY
-- added 7/2/01
,RECEIVING_NODE
-- 7/13/01
,MERGE_NODE
,DELIVERY_PLAN_KEY
,SHIPMENT_NO
,PIPELINE_KEY
,SHIPMENT_PLANNED_FLAG
,SHIPMENT_CLOSED_FLAG
,PICK_LIST_NO
,SELLER_ORGANIZATION_CODE
,BUYER_ORGANIZATION_CODE
,ENTERPRISE_CODE
,REQUESTED_SHIPMENT_DATE
,EXPECTED_SHIPMENT_DATE
,ACTUAL_SHIPMENT_DATE
,REQUESTED_DELIVERY_DATE
,EXPECTED_DELIVERY_DATE
,ACTUAL_DELIVERY_DATE
,DOCUMENT_TYPE
,ORIGIN_ZONE
,DESTINATION_ZONE
,STATUS_DATE
,SHIPMENT_TYPE
,COMMERCIAL_VALUE
,HAZARDOUS_MATERIAL_FLAG
,TOTAL_ESTIMATED_CHARGE
,TOTAL_ACTUAL_CHARGE
,NEXT_ALERT_TS
,SHIPMENT_CONFIRM_UPDATES_DONE
,SHIPMENT_DELIVER_UPDATES_DONE
,SHIPMENT_CONTAINERIZED_FLAG
,SCAC_INTEGRATION_REQUIRED
,PACKLIST_TYPE
,CUSTCARRIER_ACCOUNT_NO
,MANIFEST_KEY
,IS_SINGLE_ORDER
,LINES_ENTERED
,ORDER_AVAILABLE_ON_SYSTEM
,OVERRIDE_MANUAL_SHIPMENT_ENTRY
,DO_NOT_VERIFY_PALLET_CONTENT
,DO_NOT_VERIFY_CASE_CONTENT
,ALLOW_OVERAGE
,MANUALLY_ENTERED
,ORDER_NO
,ORDER_HEADER_KEY
,RELEASE_NO
,ORDER_RELEASE_KEY
,EXPORT_LICENSE_NO
,EXPORT_LICENSE_EXP_DATE
,DELIVERY_METHOD
,REQUIRES_APPT_CONFIRMATION
,TOTAL_QUANTITY
,CONTAINERIZED_QUANTITY
,PLACED_QUANTITY
,IS_PRODUCT_PLACING_COMPLETE
,IS_PACK_PROCESS_COMPLETE
,ORDER_TYPE
,DO_NOT_CONSOLIDATE
,DEPARTMENT_CODE
,ITEM_CLASSIFICATION
,SHIPMENT_SORT_LOCATION_ID
,CARRIER_SORT_LOCATION_ID
,MARK_FOR_KEY
,ROUTING_CONTACT_INFO
,CUSTOMER_PO_NO
,CARRIER_PICKUP_TIME
,PACK_AND_HOLD
,ESP_CHECK_REQUIRED
,IS_APPOINTMENT_REQD
,ROUTING_SOURCE
,ROUTING_ERROR_CODE
--,DYNAMIC_ROUTING_REQD
,ROUTING_GUIDE_MAINTAINED
--,EARLIEST_SHIP_DATE
,MUST_SHIP_BEFORE_DATE
,PRIORITY_CODE
,ESTIMATED_PRICE
,SHIPMENT_GROUP_ID
,    TO_ADDRESS_PERSON_INFO_KEY  ,
	TO_ADDRESS_PERSON_ID  ,
	TO_ADDRESS_TITLE  ,
	TO_ADDRESS_FIRST_NAME  ,
	TO_ADDRESS_MIDDLE_NAME  ,
	TO_ADDRESS_LAST_NAME  ,
	TO_ADDRESS_SUFFIX  ,
	TO_ADDRESS_DEPARTMENT  ,
	TO_ADDRESS_COMPANY  ,
	TO_ADDRESS_JOB_TITLE  ,
	TO_ADDRESS_ADDRESS_LINE1  ,
	TO_ADDRESS_ADDRESS_LINE2  ,
	TO_ADDRESS_ADDRESS_LINE3  ,
	TO_ADDRESS_ADDRESS_LINE4  ,
	TO_ADDRESS_ADDRESS_LINE5  ,
	TO_ADDRESS_ADDRESS_LINE6  ,
	TO_ADDRESS_CITY  ,
	TO_ADDRESS_STATE  ,
	TO_ADDRESS_ZIP_CODE  ,
	TO_ADDRESS_COUNTRY  ,
	TO_ADDRESS_DAY_PHONE  ,
	TO_ADDRESS_EVENING_PHONE  ,
	TO_ADDRESS_MOBILE_PHONE  ,
	TO_ADDRESS_BEEPER  ,
	TO_ADDRESS_OTHER_PHONE  ,
	TO_ADDRESS_DAY_FAX_NO  ,
	TO_ADDRESS_EVENING_FAX_NO  ,
	TO_ADDRESS_EMAILID  ,
	TO_ADDRESS_ALTERNATE_EMAILID  ,
	TO_ADDRESS_HTTP_URL, 
	FROM_ADDRESS_PERSON_INFO_KEY  ,
	FROM_ADDRESS_PERSON_ID  ,
	FROM_ADDRESS_TITLE  ,
	FROM_ADDRESS_FIRST_NAME  ,
	FROM_ADDRESS_MIDDLE_NAME  ,
	FROM_ADDRESS_LAST_NAME  ,
	FROM_ADDRESS_SUFFIX  ,
	FROM_ADDRESS_DEPARTMENT  ,
	FROM_ADDRESS_COMPANY  ,
	FROM_ADDRESS_JOB_TITLE  ,
	FROM_ADDRESS_ADDRESS_LINE1  ,
	FROM_ADDRESS_ADDRESS_LINE2  ,
	FROM_ADDRESS_ADDRESS_LINE3  ,
	FROM_ADDRESS_ADDRESS_LINE4  ,
	FROM_ADDRESS_ADDRESS_LINE5  ,
	FROM_ADDRESS_ADDRESS_LINE6  ,
	FROM_ADDRESS_CITY  ,
	FROM_ADDRESS_STATE  ,
	FROM_ADDRESS_ZIP_CODE  ,
	FROM_ADDRESS_COUNTRY  ,
	FROM_ADDRESS_DAY_PHONE  ,
	FROM_ADDRESS_EVENING_PHONE  ,
	FROM_ADDRESS_MOBILE_PHONE  ,
	FROM_ADDRESS_BEEPER  ,
	FROM_ADDRESS_OTHER_PHONE  ,
	FROM_ADDRESS_DAY_FAX_NO  ,
	FROM_ADDRESS_EVENING_FAX_NO  ,
	FROM_ADDRESS_EMAILID  ,
	FROM_ADDRESS_ALTERNATE_EMAILID  ,
	FROM_ADDRESS_HTTP_URL 
    ,GIFT_FLAG 
    ,ALLOW_NEW_ITEM_RECEIPT 
    ,WORK_ORDER_KEY 
    ,WORK_ORDER_APPT_KEY 
    ,COD_PAY_METHOD 
    ,AIRWAY_BILL_NO 
    ,CREATETS 
    ,MODIFYTS 
    ,HAS_NODE_EXCEPTIONS
)
AS SELECT
SHIPMENT_KEY, 
PICKTICKET_NO, SHIP_DATE, SHIPNODE_KEY, SHIP_MODE, 
FROM_ADDRESS_KEY, TO_ADDRESS_KEY, HAS_OTHER_SHIPMENTS, PARENT_SHIPMENT_KEY, 
SHIP_VIA, SEAL_NO, TRACKING_NO, TRAILER_NO, 
MANIFEST_NO, PRO_NO, SCAC, ACTUAL_FREIGHT_CHARGE, 
CARRIER_SERVICE_CODE, STATUS, POD_NO, BOL_NO, 
TOTAL_WEIGHT, TOTAL_WEIGHT_UOM, TOTAL_VOLUME, TOTAL_VOLUME_UOM, 
IT_NO, IT_DATE, APPOINTMENT_NO, FROM_APPOINTMENT, 
TO_APPOINTMENT, DELIVERY_TS, CODE, 
NUM_OF_PALLETS, NUM_OF_CARTONS, EXPORT_TAXPAYER_ID, FREIGHT_TERMS, 
DELIVERY_CODE, CARRIER_TYPE, DOWNLOAD_COUNT, CURRENCY
,RECEIVING_NODE
-- 7/13/01
,MERGE_NODE
,DELIVERY_PLAN_KEY
,SHIPMENT_NO
,PIPELINE_KEY
,SHIPMENT_PLANNED_FLAG
,SHIPMENT_CLOSED_FLAG
,PICK_LIST_NO
,SELLER_ORGANIZATION_CODE
,BUYER_ORGANIZATION_CODE
,ENTERPRISE_CODE
,REQUESTED_SHIPMENT_DATE
,EXPECTED_SHIPMENT_DATE
,ACTUAL_SHIPMENT_DATE
,REQUESTED_DELIVERY_DATE
,EXPECTED_DELIVERY_DATE
,ACTUAL_DELIVERY_DATE
,DOCUMENT_TYPE
,ORIGIN_ZONE
,DESTINATION_ZONE
,STATUS_DATE
,SHIPMENT_TYPE
,COMMERCIAL_VALUE
,HAZARDOUS_MATERIAL_FLAG
,TOTAL_ESTIMATED_CHARGE
,TOTAL_ACTUAL_CHARGE
,NEXT_ALERT_TS
,SHIPMENT_CONFIRM_UPDATES_DONE
,SHIPMENT_DELIVER_UPDATES_DONE
,SHIPMENT_CONTAINERIZED_FLAG
,SCAC_INTEGRATION_REQUIRED
,PACKLIST_TYPE
,CUSTCARRIER_ACCOUNT_NO
,MANIFEST_KEY    
,IS_SINGLE_ORDER
,LINES_ENTERED
,ORDER_AVAILABLE_ON_SYSTEM
,OVERRIDE_MANUAL_SHIPMENT_ENTRY
,DO_NOT_VERIFY_PALLET_CONTENT
,DO_NOT_VERIFY_CASE_CONTENT
,ALLOW_OVERAGE
,MANUALLY_ENTERED
,ORDER_NO
,ORDER_HEADER_KEY
,RELEASE_NO
,ORDER_RELEASE_KEY
,EXPORT_LICENSE_NO
,EXPORT_LICENSE_EXP_DATE
,DELIVERY_METHOD
,REQUIRES_APPT_CONFIRMATION
,TOTAL_QUANTITY
,CONTAINERIZED_QUANTITY
,PLACED_QUANTITY
,IS_PRODUCT_PLACING_COMPLETE
,IS_PACK_PROCESS_COMPLETE
,ORDER_TYPE
,DO_NOT_CONSOLIDATE
,DEPARTMENT_CODE
,ITEM_CLASSIFICATION
,SHIPMENT_SORT_LOCATION_ID
,CARRIER_SORT_LOCATION_ID
,MARK_FOR_KEY
,ROUTING_CONTACT_INFO
,CUSTOMER_PO_NO
,CARRIER_PICKUP_TIME
,PACK_AND_HOLD
,ESP_CHECK_REQUIRED
,IS_APPOINTMENT_REQD
,ROUTING_SOURCE
,ROUTING_ERROR_CODE
--,DYNAMIC_ROUTING_REQD
,ROUTING_GUIDE_MAINTAINED
--,EARLIEST_SHIP_DATE
,MUST_SHIP_BEFORE_DATE
,PRIORITY_CODE
,ESTIMATED_PRICE
,SHIPMENT_GROUP_ID
,PI1.PERSON_INFO_KEY  ,
	PI1.PERSON_ID  ,
	PI1.TITLE  ,
	PI1.FIRST_NAME  ,
	PI1.MIDDLE_NAME  ,
	PI1.LAST_NAME  ,
	PI1.SUFFIX  ,
	PI1.DEPARTMENT  ,
	PI1.COMPANY  ,
	PI1.JOB_TITLE  ,
	PI1.ADDRESS_LINE1  ,
	PI1.ADDRESS_LINE2  ,
	PI1.ADDRESS_LINE3  ,
	PI1.ADDRESS_LINE4  ,
	PI1.ADDRESS_LINE5  ,
	PI1.ADDRESS_LINE6  ,
	PI1.CITY  ,
	PI1.STATE  ,
	PI1.ZIP_CODE  ,
	PI1.COUNTRY  ,
	PI1.DAY_PHONE  ,
	PI1.EVENING_PHONE  ,
	PI1.MOBILE_PHONE  ,
	PI1.BEEPER  ,
	PI1.OTHER_PHONE  ,
	PI1.DAY_FAX_NO  ,
	PI1.EVENING_FAX_NO  ,
	PI1.EMAILID  ,
	PI1.ALTERNATE_EMAILID  ,
	PI1.HTTP_URL, 
	PI2.PERSON_INFO_KEY  ,
	PI2.PERSON_ID  ,
	PI2.TITLE  ,
	PI2.FIRST_NAME  ,
	PI2.MIDDLE_NAME  ,
	PI2.LAST_NAME  ,
	PI2.SUFFIX  ,
	PI2.DEPARTMENT  ,
	PI2.COMPANY  ,
	PI2.JOB_TITLE  ,
	PI2.ADDRESS_LINE1  ,
	PI2.ADDRESS_LINE2  ,
	PI2.ADDRESS_LINE3  ,
	PI2.ADDRESS_LINE4  ,
	PI2.ADDRESS_LINE5  ,
	PI2.ADDRESS_LINE6  ,
	PI2.CITY  ,
	PI2.STATE  ,
	PI2.ZIP_CODE  ,
	PI2.COUNTRY  ,
	PI2.DAY_PHONE  ,
	PI2.EVENING_PHONE  ,
	PI2.MOBILE_PHONE  ,
	PI2.BEEPER  ,
	PI2.OTHER_PHONE  ,
	PI2.DAY_FAX_NO  ,
	PI2.EVENING_FAX_NO  ,
	PI2.EMAILID  ,
	PI2.ALTERNATE_EMAILID  ,
	PI2.HTTP_URL
    ,S.GIFT_FLAG 
    ,S.ALLOW_NEW_ITEM_RECEIPT 
    ,S.WORK_ORDER_KEY 
    ,S.WORK_ORDER_APPT_KEY 
    ,S.COD_PAY_METHOD 
    ,S.AIRWAY_BILL_NO 
    ,S.CREATETS
    ,S.MODIFYTS 
    ,S.HAS_NODE_EXCEPTIONS
FROM 
YFS_SHIPMENT S
, YFS_PERSON_INFO PI1
, YFS_PERSON_INFO PI2
WHERE
S.TO_ADDRESS_KEY=PI1.PERSON_INFO_KEY (+)
AND S.FROM_ADDRESS_KEY=PI2.PERSON_INFO_KEY (+)
;