CREATE OR REPLACE VIEW YNA_PRODUCTIVITY_VW(PRODUCTIVITY_KEY,   ORGANIZATION_CODE,  USER_ID, ENTERPRISE_KEY,   PRODUCTIVITY_TYPE,    DATE_OF_EXECUTION,   WEEK_OF_EXECUTION,   MONTH_OF_EXECUTION,   EARLIEST_TASK_START_TIME_STAMP,   LATEST_TASK_END_TIME_STAMP,   NUM_OF_TASKS,   NUM_OF_UNITS,   NUM_OF_CASES,   NUM_OF_PALLETS,   NUM_SOURCE_LOCATIONS_VISITED,   NUM_TARGET_LOCATIONS_VISITED,   NUM_SOURCE_AISLES_VISITED,   NUM_TARGET_AISLES_VISITED,   NUM_OF_ITEMS,   CREDITED_MINS,   CREATETS,   MODIFYTS) AS
SELECT PRODUCTIVITY_KEY,
  ORGANIZATION_CODE,
  USER_ID,
  ENTERPRISE_KEY,
  PRODUCTIVITY_TYPE,
  TO_DATE(DATE_OF_EXECUTION),
  TO_NUMBER(TO_CHAR(DATE_OF_EXECUTION,   'YYYY.IW')),
  TO_NUMBER(TO_CHAR(DATE_OF_EXECUTION,   'YYYY.MM')),
  EARLIEST_TASK_START_TIME_STAMP,
  LATEST_TASK_END_TIME_STAMP,
  NUM_OF_TASKS,
  NUM_OF_UNITS,
  NUM_OF_CASES,
  NUM_OF_PALLETS,
  NUM_SOURCE_LOCATIONS_VISITED,
  NUM_TARGET_LOCATIONS_VISITED,
  NUM_SOURCE_AISLES_VISITED,
  NUM_TARGET_AISLES_VISITED,
  NUM_OF_ITEMS,
  CREDITED_MINS,
  CREATETS,
  MODIFYTS
FROM YFS_PRODUCTIVITY;

