CREATE OR REPLACE VIEW YNA_WORK_ORDER_NL_VW( 
		WORK_ORDER_KEY
		,		PIPELINE_KEY
		,		NODE_KEY
		,		WORK_ORDER_NO
		,		DOCUMENT_TYPE
		,		SERVICE_ITEM_GROUP_CODE
		,		PURPOSE
		,		ENTERPRISE_CODE
		,		SERVICE_ITEM_ID
		,		SERVICE_UOM
		,		PRIORITY
		,		START_NO_EARLIER_THAN
		,		FINISH_NO_LATER_THAN
		,		LPN_TYPE
		,		LPN_NO
		,		ITEM_ID
		,		UOM
		,		PRODUCT_CLASS
		,		SEGMENT_TYPE
		,		SEGMENT
		,		SHIP_BY_DATE
		,		TAG_NUMBER
		,		SERIAL_NO
		,		ORDER_HEADER_KEY
		,		ORDER_LINE_KEY
		,		SHIPMENT_KEY
		,		STATUS
		,		STATUS_DATE
		,		ORIGINAL_QUANTITY_REQUESTED
		,		QUANTITY_REQUESTED
		,		COMPUTED_REQUESTED_QUANTITY
		,		ADDITIONAL_REQUESTED_QUANTITY
		,		QUANTITY_RELEASED
		,		QUANTITY_REMOVED
		,		QUANTITY_ALLOCATED
		,		QUANTITY_COMPLETED
		,		INV_UPD_ACTIVITY_CODE
		,		REASON_CODE
		,		REASON_TEXT
		,		BUYER_ORGANIZATION_CODE
		,		SELLER_ORGANIZATION_CODE
		,		PROVIDER_ORGANIZATION_CODE
		,		SERVICE_LOCATION_ADDRESS_KEY
		,		KIT_CODE
		,		ORDER_NO
		,		SHIPMENT_NO
		,		PROMISED_APPT_START_DATE
		,		PROMISED_APPT_END_DATE
		,		NEXT_ALERT_TS
		,		IS_QTY_REQUESTED_OVERRIDDEN
		,		IS_MULTI_APPT_REQUIRED
		,		IS_PLANNING_COMPLETE
		,		PRE_CALL_STATUS
		,		OPEN_WORK_ORDER_FLAG
		,		PREFERRED_RESOURCE_POOL_ID
		,		PREFERRED_SERVICE_RESOURCE_ID
		,		TIMEZONE
		,		SERVICE_COMPLEXITY_LEVEL
		,		SERVICE_SUPERVISOR_ID
		,		HOLD_FLAG
		,		SERVICE_AMOUNT
		,		PRODUCT_AMOUNT
	 )
	 AS SELECT 
		WORK_ORDER_KEY
		,		PIPELINE_KEY
		,		NODE_KEY
		,		WORK_ORDER_NO
		,		DOCUMENT_TYPE
		,		SERVICE_ITEM_GROUP_CODE
		,		PURPOSE
		,		ENTERPRISE_CODE
		,		SERVICE_ITEM_ID
		,		SERVICE_UOM
		,		PRIORITY
		,		START_NO_EARLIER_THAN
		,		FINISH_NO_LATER_THAN
		,		LPN_TYPE
		,		LPN_NO
		,		ITEM_ID
		,		UOM
		,		PRODUCT_CLASS
		,		SEGMENT_TYPE
		,		SEGMENT
		,		SHIP_BY_DATE
		,		TAG_NUMBER
		,		SERIAL_NO
		,		ORDER_HEADER_KEY
		,		ORDER_LINE_KEY
		,		SHIPMENT_KEY
		,		STATUS
		,		STATUS_DATE
		,		ORIGINAL_QUANTITY_REQUESTED
		,		QUANTITY_REQUESTED
		,		COMPUTED_REQUESTED_QUANTITY
		,		ADDITIONAL_REQUESTED_QUANTITY
		,		QUANTITY_RELEASED
		,		QUANTITY_REMOVED
		,		QUANTITY_ALLOCATED
		,		QUANTITY_COMPLETED
		,		INV_UPD_ACTIVITY_CODE
		,		REASON_CODE
		,		REASON_TEXT
		,		BUYER_ORGANIZATION_CODE
		,		SELLER_ORGANIZATION_CODE
		,		PROVIDER_ORGANIZATION_CODE
		,		SERVICE_LOCATION_ADDRESS_KEY
		,		KIT_CODE
		,		ORDER_NO
		,		SHIPMENT_NO
		,		PROMISED_APPT_START_DATE
		,		PROMISED_APPT_END_DATE
		,		NEXT_ALERT_TS
		,		IS_QTY_REQUESTED_OVERRIDDEN
		,		IS_MULTI_APPT_REQUIRED
		,		IS_PLANNING_COMPLETE
		,		PRE_CALL_STATUS
		,		OPEN_WORK_ORDER_FLAG
		,		PREFERRED_RESOURCE_POOL_ID
		,		PREFERRED_SERVICE_RESOURCE_ID
		,		TIMEZONE
		,		SERVICE_COMPLEXITY_LEVEL
		,		SERVICE_SUPERVISOR_ID
		,		HOLD_FLAG
		,		SERVICE_AMOUNT
		,		PRODUCT_AMOUNT
	 FROM YFS_WORK_ORDER WO

;