if exists (select * from dbo.sysobjects where id = object_id(N'[YNA_ORG_ENTERPRISE_NL_VW ]')and OBJECTPROPERTY(id, N'IsView') = 1)
 DROP VIEW [YNA_ORG_ENTERPRISE_NL_VW ]
GO
CREATE VIEW YNA_ORG_ENTERPRISE_NL_VW 
(
	ORGANIZATION_KEY , 
	ENTERPRISE_NAME , 
	ORGANIZATION_CODE , 
	PAYMENT_PROCESSING_REQD , 
	INVENTORY_PUBLISHED , 
	CATALOG_ORGANIZATION_CODE , 
	INVENTORY_ORGANIZATION_CODE , 
	XREF_ORGANIZATION_CODE , 
	IS_HUB_ORGANIZATION , 
	ITEM_XREF_RULE , 
	XREF_ALIAS_TYPE , 
	PARENT_ORGANIZATION_CODE , 
	CORP_ADDRESS_KEY , 
	CONT_ADDRESS_KEY , 
	BILLING_ADDRESS_KEY , 
	LOCALE_CODE , 
	TAXPAYER_ID , 
	ORGANIZATION_NAME , 
	CREATOR_ORGANIZATION_KEY , 
	IS_SOURCING_KEPT , 
	TAX_JURISDICTION , 
	TAX_EXEMPT_FLAG , 
	TAX_EXEMPTION_CERTIFICATE , 
	ISSUING_AUTHORITY , 
	AUTHORITY_TYPE , 
	ACCOUNT_WITH_HUB , 
	PRIMARY_SIC_CODE , 
	DUNS_NUMBER , 
	PRIMARY_URL , 
	REQUIRES_CHAINED_ORDER , 
	REQUIRES_CHANGE_REQUEST , 
	DEFAULT_DISTRIBUTION_RULE_ID , 
	INVENTORY_KEPT_EXTERNALLY , 
	DEFAULT_PAYMENT_RULE_ID , 
	DEFAULT_PRICE_PROGRAM_KEY , 
	INHERIT_CONFIG_FROM_ENTERPRISE , 
	INHERIT_ORG_CONFIG , 
	BUSINESS_CALENDAR_KEY , 
	CAPACITY_ORGANIZATION_CODE , 
	IS_LEGAL_ENTITY , 
	IS_SRVC_SOURCING_KEPT , 
	IS_DEL_SOURCING_KEPT , 
	CAPACITY_KEPT_EXTERNALLY , 
	IS_NODE , 
	IS_BUYER , 
	IS_SELLER , 
	IS_CARRIER , 
	IS_ENTERPRISE , 
	UCC_PREFIX , 
	REQUIRES_VAS_COMPLIANCE , 
	SUPPLY_KEPT_EXTERNALLY , 
	CORP_ADDRESS_PERSON_INFO_KEY , 
	CORP_ADDRESS_PERSON_ID , 
	CORP_ADDRESS_TITLE , 
	CORP_ADDRESS_FIRST_NAME , 
	CORP_ADDRESS_MIDDLE_NAME , 
	CORP_ADDRESS_LAST_NAME , 
	CORP_ADDRESS_SUFFIX , 
	CORP_ADDRESS_DEPARTMENT , 
	CORP_ADDRESS_COMPANY , 
	CORP_ADDRESS_JOB_TITLE , 
	CORP_ADDRESS_ADDRESS_LINE1 , 
	CORP_ADDRESS_ADDRESS_LINE2 , 
	CORP_ADDRESS_ADDRESS_LINE3 , 
	CORP_ADDRESS_ADDRESS_LINE4 , 
	CORP_ADDRESS_ADDRESS_LINE5 , 
	CORP_ADDRESS_ADDRESS_LINE6 , 
	CORP_ADDRESS_CITY , 
	CORP_ADDRESS_STATE , 
	CORP_ADDRESS_ZIP_CODE , 
	CORP_ADDRESS_COUNTRY , 
	CORP_ADDRESS_DAY_PHONE , 
	CORP_ADDRESS_EVENING_PHONE , 
	CORP_ADDRESS_MOBILE_PHONE , 
	CORP_ADDRESS_BEEPER , 
	CORP_ADDRESS_OTHER_PHONE , 
	CORP_ADDRESS_DAY_FAX_NO , 
	CORP_ADDRESS_EVENING_FAX_NO , 
	CORP_ADDRESS_EMAILID , 
	CORP_ADDRESS_ALTERNATE_EMAILID , 
	CORP_ADDRESS_HTTP_URL , 
	CONT_ADDRESS_PERSON_INFO_KEY , 
	CONT_ADDRESS_PERSON_ID , 
	CONT_ADDRESS_TITLE , 
	CONT_ADDRESS_FIRST_NAME , 
	CONT_ADDRESS_MIDDLE_NAME , 
	CONT_ADDRESS_LAST_NAME , 
	CONT_ADDRESS_SUFFIX , 
	CONT_ADDRESS_DEPARTMENT , 
	CONT_ADDRESS_COMPANY , 
	CONT_ADDRESS_JOB_TITLE , 
	CONT_ADDRESS_ADDRESS_LINE1 , 
	CONT_ADDRESS_ADDRESS_LINE2 , 
	CONT_ADDRESS_ADDRESS_LINE3 , 
	CONT_ADDRESS_ADDRESS_LINE4 , 
	CONT_ADDRESS_ADDRESS_LINE5 , 
	CONT_ADDRESS_ADDRESS_LINE6 , 
	CONT_ADDRESS_CITY , 
	CONT_ADDRESS_STATE , 
	CONT_ADDRESS_ZIP_CODE , 
	CONT_ADDRESS_COUNTRY , 
	CONT_ADDRESS_DAY_PHONE , 
	CONT_ADDRESS_EVENING_PHONE , 
	CONT_ADDRESS_MOBILE_PHONE , 
	CONT_ADDRESS_BEEPER , 
	CONT_ADDRESS_OTHER_PHONE , 
	CONT_ADDRESS_DAY_FAX_NO , 
	CONT_ADDRESS_EVENING_FAX_NO , 
	CONT_ADDRESS_EMAILID , 
	CONT_ADDRESS_ALTERNATE_EMAILID , 
	CONT_ADDRESS_HTTP_URL , 
	BILL_ADDRESS_PERSON_INFO_KEY , 
	BILL_ADDRESS_PERSON_ID , 
	BILL_ADDRESS_TITLE , 
	BILL_ADDRESS_FIRST_NAME , 
	BILL_ADDRESS_MIDDLE_NAME , 
	BILL_ADDRESS_LAST_NAME , 
	BILL_ADDRESS_SUFFIX , 
	BILL_ADDRESS_DEPARTMENT , 
	BILL_ADDRESS_COMPANY , 
	BILL_ADDRESS_JOB_TITLE , 
	BILL_ADDRESS_ADDRESS_LINE1 , 
	BILL_ADDRESS_ADDRESS_LINE2 , 
	BILL_ADDRESS_ADDRESS_LINE3 , 
	BILL_ADDRESS_ADDRESS_LINE4 , 
	BILL_ADDRESS_ADDRESS_LINE5 , 
	BILL_ADDRESS_ADDRESS_LINE6 , 
	BILL_ADDRESS_CITY , 
	BILL_ADDRESS_STATE , 
	BILL_ADDRESS_ZIP_CODE , 
	BILL_ADDRESS_COUNTRY , 
	BILL_ADDRESS_DAY_PHONE , 
	BILL_ADDRESS_EVENING_PHONE , 
	BILL_ADDRESS_MOBILE_PHONE , 
	BILL_ADDRESS_BEEPER , 
	BILL_ADDRESS_OTHER_PHONE , 
	BILL_ADDRESS_DAY_FAX_NO , 
	BILL_ADDRESS_EVENING_FAX_NO , 
	BILL_ADDRESS_EMAILID , 
	BILL_ADDRESS_ALTERNATE_EMAILID , 
	BILL_ADDRESS_HTTP_URL 
)
 AS 
SELECT
		 O.ORGANIZATION_KEY,
		 ENTERPRISENAME,
		 O.ORGANIZATION_CODE,
		 PAYMENT_PROCESSING_REQD,
		 INVENTORY_PUBLISHED,
		 CATALOG_ORGANIZATION_CODE,
		 INVENTORY_ORGANIZATION_CODE,
		 XREF_ORGANIZATION_CODE,
		 IS_HUB_ORGANIZATION,
		 ITEM_XREF_RULE,
		 XREF_ALIAS_TYPE,
		 PARENT_ORGANIZATION_CODE,
		 CORPORATE_ADDRESS_KEY,
		 CONTACT_ADDRESS_KEY,
		 BILLING_ADDRESS_KEY,
		 LOCALE_CODE,
		 O.TAXPAYER_ID,
		 ORGANIZATION_NAME,
		 CREATOR_ORGANIZATION_KEY,
		 O.IS_SOURCING_KEPT,
		 TAX_JURISDICTION,
		 TAX_EXEMPT_FLAG,
		 TAX_EXEMPTION_CERTIFICATE,
		 ISSUING_AUTHORITY,
		 AUTHORITY_TYPE,
		 ACCOUNT_WITH_HUB,
		 PRIMARY_SIC_CODE,
		 DUNS_NUMBER,
		 PRIMARY_URL,
		 REQUIRES_CHAINED_ORDER,
		 REQUIRES_CHANGE_REQUEST,
		 O.DEFAULT_DISTRIBUTION_RULE_ID,
		 INVENTORY_KEPT_EXTERNALLY,
		 DEFAULT_PAYMENT_RULE_ID,
		 DEFAULT_PRICE_PROGRAM_KEY,
		 INHERIT_CONFIG_FROM_ENTERPRISE,
		 INHERIT_ORG_CONFIG,
		 BUSINESS_CALENDAR_KEY,
		 CAPACITY_ORGANIZATION_CODE,
		 IS_LEGAL_ENTITY,
		 O.IS_SRVC_SOURCING_KEPT,
		 O.IS_DEL_SOURCING_KEPT,
		 O.CAPACITY_KEPT_EXTERNALLY,
		 O.IS_NODE,
		 IS_BUYER,
		 IS_SELLER,
		 IS_CARRIER,
		 IS_ENTERPRISE,
		 UCC_PREFIX,
		 REQUIRES_VAS_COMPLIANCE,
		 SUPPLY_KEPT_EXTERNALLY,
		 PI1.PERSON_INFO_KEY,
		 PI1.PERSON_ID,
		 PI1.TITLE,
		 PI1.FIRST_NAME,
		 PI1.MIDDLE_NAME,
		 PI1.LAST_NAME,
		 PI1.SUFFIX,
		 PI1.DEPARTMENT,
		 PI1.COMPANY,
		 PI1.JOB_TITLE,
		 PI1.ADDRESS_LINE1,
		 PI1.ADDRESS_LINE2,
		 PI1.ADDRESS_LINE3,
		 PI1.ADDRESS_LINE4,
		 PI1.ADDRESS_LINE5,
		 PI1.ADDRESS_LINE6,
		 PI1.CITY,
		 PI1.STATE,
		 PI1.ZIP_CODE,
		 PI1.COUNTRY,
		 PI1.DAY_PHONE,
		 PI1.EVENING_PHONE,
		 PI1.MOBILE_PHONE,
		 PI1.BEEPER,
		 PI1.OTHER_PHONE,
		 PI1.DAY_FAX_NO,
		 PI1.EVENING_FAX_NO,
		 PI1.EMAILID,
		 PI1.ALTERNATE_EMAILID,
		 PI1.HTTP_URL,
		 PI2.PERSON_INFO_KEY,
		 PI2.PERSON_ID,
		 PI2.TITLE,
		 PI2.FIRST_NAME,
		 PI2.MIDDLE_NAME,
		 PI2.LAST_NAME,
		 PI2.SUFFIX,
		 PI2.DEPARTMENT,
		 PI2.COMPANY,
		 PI2.JOB_TITLE,
		 PI2.ADDRESS_LINE1,
		 PI2.ADDRESS_LINE2,
		 PI2.ADDRESS_LINE3,
		 PI2.ADDRESS_LINE4,
		 PI2.ADDRESS_LINE5,
		 PI2.ADDRESS_LINE6,
		 PI2.CITY,
		 PI2.STATE,
		 PI2.ZIP_CODE,
		 PI2.COUNTRY,
		 PI2.DAY_PHONE,
		 PI2.EVENING_PHONE,
		 PI2.MOBILE_PHONE,
		 PI2.BEEPER,
		 PI2.OTHER_PHONE,
		 PI2.DAY_FAX_NO,
		 PI2.EVENING_FAX_NO,
		 PI2.EMAILID,
		 PI2.ALTERNATE_EMAILID,
		 PI2.HTTP_URL,
		 PI3.PERSON_INFO_KEY,
		 PI3.PERSON_ID,
		 PI3.TITLE,
		 PI3.FIRST_NAME,
		 PI3.MIDDLE_NAME,
		 PI3.LAST_NAME,
		 PI3.SUFFIX,
		 PI3.DEPARTMENT,
		 PI3.COMPANY,
		 PI3.JOB_TITLE,
		 PI3.ADDRESS_LINE1,
		 PI3.ADDRESS_LINE2,
		 PI3.ADDRESS_LINE3,
		 PI3.ADDRESS_LINE4,
		 PI3.ADDRESS_LINE5,
		 PI3.ADDRESS_LINE6,
		 PI3.CITY,
		 PI3.STATE,
		 PI3.ZIP_CODE,
		 PI3.COUNTRY,
		 PI3.DAY_PHONE,
		 PI3.EVENING_PHONE,
		 PI3.MOBILE_PHONE,
		 PI3.BEEPER,
		 PI3.OTHER_PHONE,
		 PI3.DAY_FAX_NO,
		 PI3.EVENING_FAX_NO,
		 PI3.EMAILID,
		 PI3.ALTERNATE_EMAILID,
		 PI3.HTTP_URL
FROM  YFS_ORGANIZATION O  LEFT OUTER JOIN  YFS_PERSON_INFO PI1  ON  O.CORPORATE_ADDRESS_KEY  = PI1.PERSON_INFO_KEY   LEFT OUTER JOIN  YFS_PERSON_INFO PI2  ON  O.CONTACT_ADDRESS_KEY  = PI2.PERSON_INFO_KEY   LEFT OUTER JOIN  YFS_PERSON_INFO PI3  ON  O.BILLING_ADDRESS_KEY  = PI3.PERSON_INFO_KEY ,
	 YFS_ENTERPRISE E 
WHERE	 E.ENTERPRISE_KEY  = O.ORGANIZATION_KEY
 AND	O.IS_ENTERPRISE  = 'Y'


GO
