if exists (select * from dbo.sysobjects where id = object_id(N'[YNA_ORG_ROLE_VW ]')and OBJECTPROPERTY(id, N'IsView') = 1)
 DROP VIEW [YNA_ORG_ROLE_VW ]
GO
CREATE VIEW YNA_ORG_ROLE_VW 
AS 
SELECT
		 YOR.ORGANIZATION_KEY,
		 YR.ROLE_KEY,
		 YR.ROLE_ID
FROM  YFS_ORGANIZATION YOR,
	 YFS_ROLE YR 
WHERE	 
		CASE YOR.IS_BUYER 
			WHEN 'Y' THEN 'BUYER' 
			ELSE '' 
		END  = YR.ROLE_ID
 OR	
		CASE YOR.IS_SELLER 
			WHEN 'Y' THEN 'SELLER' 
			ELSE '' 
		END  = YR.ROLE_ID
 OR	
		CASE YOR.IS_ENTERPRISE 
			WHEN 'Y' THEN 'ENTERPRISE' 
			ELSE '' 
		END  = YR.ROLE_ID
 OR	
		CASE YOR.IS_NODE 
			WHEN 'Y' THEN 'NODE' 
			ELSE '' 
		END  = YR.ROLE_ID
 OR	
		CASE YOR.IS_HUB_ORGANIZATION 
			WHEN 'Y' THEN 'HUB' 
			ELSE '' 
		END  = YR.ROLE_ID
 OR	
		CASE YOR.IS_CARRIER 
			WHEN 'Y' THEN 'CARRIER' 
			ELSE '' 
		END  = YR.ROLE_ID


GO
