if exists (select * from dbo.sysobjects where id = object_id(N'[YNA_SCAC_EX_VW ]')and OBJECTPROPERTY(id, N'IsView') = 1)
 DROP VIEW [YNA_SCAC_EX_VW ]
GO
CREATE VIEW YNA_SCAC_EX_VW 
(
	SCAC_EX_KEY , 
	RECORD_TYPE , 
	RECORD_KEY , 
	SCAC_KEY , 
	ACCOUNT1 , 
	ACCOUNT2 , 
	CONTACT_ADDRESS_KEY , 
	BILLING_ADDRESS_KEY , 
	SYSTEM_INTG_FOR_DOMESTIC_REQD , 
	SYSTEM_INTG_FOR_INTL_REQD , 
	AUTO_OPEN_MANIFEST , 
	ENTERPRISE_KEY , 
	THIRD_PARTY_ORGANIZATION_KEY , 
	ONLINE_CONTROL_NUMBER 
)
 AS 
SELECT
		 SCAC_EX_KEY,
		 RECORD_TYPE,
		 RECORD_KEY,
		 SCAC_KEY,
		 ACCOUNT1,
		 ACCOUNT2,
		 CONTACT_ADDRESS_KEY,
		 BILLING_ADDRESS_KEY,
		 SYSTEM_INTG_FOR_DOMESTIC_REQD,
		 SYSTEM_INTG_FOR_INTL_REQD,
		 AUTO_OPEN_MANIFEST,
		 ENTERPRISE_KEY,
		 THIRD_PARTY_ORGANIZATION_KEY,
		 ONLINE_CONTROL_NUMBER
FROM  YFS_SCAC_EX 


GO
