if exists (select * from dbo.sysobjects where id = object_id(N'[YNA_ORGANIZATION_USERS_NL_VW ]')and OBJECTPROPERTY(id, N'IsView') = 1)
 DROP VIEW [YNA_ORGANIZATION_USERS_NL_VW ]
GO
CREATE VIEW YNA_ORGANIZATION_USERS_NL_VW 
(
	ORGANIZATION_KEY , 
	USER_KEY , 
	LOGINID , 
	PASSWORD , 
	USERNAME , 
	BUSINESS_KEY , 
	USERGROUP_KEY , 
	CONTACTADDRESS_KEY , 
	BILLINGADDRESS_KEY , 
	IMAGEFILE , 
	USERTYPE , 
	NOTE_KEY , 
	PREFERENCE_KEY , 
	PWDLASTCHANGEDON , 
	ACTIVATEFLAG , 
	LONGDESC , 
	LOCALECODE , 
	PARENT_USER_KEY , 
	MENU_ID , 
	CREATOR_ORGANIZATION_KEY , 
	THEME , 
	SYSTEMNAME , 
	DATA_SECURITY_GROUP_ID , 
	CONT_ADDRESS_PERSON_INFO_KEY , 
	CONT_ADDRESS_PERSON_ID , 
	CONT_ADDRESS_TITLE , 
	CONT_ADDRESS_FIRST_NAME , 
	CONT_ADDRESS_MIDDLE_NAME , 
	CONT_ADDRESS_LAST_NAME , 
	CONT_ADDRESS_SUFFIX , 
	CONT_ADDRESS_DEPARTMENT , 
	CONT_ADDRESS_COMPANY , 
	CONT_ADDRESS_JOB_TITLE , 
	CONT_ADDRESS_ADDRESS_LINE1 , 
	CONT_ADDRESS_ADDRESS_LINE2 , 
	CONT_ADDRESS_ADDRESS_LINE3 , 
	CONT_ADDRESS_ADDRESS_LINE4 , 
	CONT_ADDRESS_ADDRESS_LINE5 , 
	CONT_ADDRESS_ADDRESS_LINE6 , 
	CONT_ADDRESS_CITY , 
	CONT_ADDRESS_STATE , 
	CONT_ADDRESS_ZIP_CODE , 
	CONT_ADDRESS_COUNTRY , 
	CONT_ADDRESS_DAY_PHONE , 
	CONT_ADDRESS_EVENING_PHONE , 
	CONT_ADDRESS_MOBILE_PHONE , 
	CONT_ADDRESS_BEEPER , 
	CONT_ADDRESS_OTHER_PHONE , 
	CONT_ADDRESS_DAY_FAX_NO , 
	CONT_ADDRESS_EVENING_FAX_NO , 
	CONT_ADDRESS_EMAILID , 
	CONT_ADDRESS_ALTERNATE_EMAILID , 
	CONT_ADDRESS_HTTP_URL , 
	BILL_ADDRESS_PERSON_INFO_KEY , 
	BILL_ADDRESS_PERSON_ID , 
	BILL_ADDRESS_TITLE , 
	BILL_ADDRESS_FIRST_NAME , 
	BILL_ADDRESS_MIDDLE_NAME , 
	BILL_ADDRESS_LAST_NAME , 
	BILL_ADDRESS_SUFFIX , 
	BILL_ADDRESS_DEPARTMENT , 
	BILL_ADDRESS_COMPANY , 
	BILL_ADDRESS_JOB_TITLE , 
	BILL_ADDRESS_ADDRESS_LINE1 , 
	BILL_ADDRESS_ADDRESS_LINE2 , 
	BILL_ADDRESS_ADDRESS_LINE3 , 
	BILL_ADDRESS_ADDRESS_LINE4 , 
	BILL_ADDRESS_ADDRESS_LINE5 , 
	BILL_ADDRESS_ADDRESS_LINE6 , 
	BILL_ADDRESS_CITY , 
	BILL_ADDRESS_STATE , 
	BILL_ADDRESS_ZIP_CODE , 
	BILL_ADDRESS_COUNTRY , 
	BILL_ADDRESS_DAY_PHONE , 
	BILL_ADDRESS_EVENING_PHONE , 
	BILL_ADDRESS_MOBILE_PHONE , 
	BILL_ADDRESS_BEEPER , 
	BILL_ADDRESS_OTHER_PHONE , 
	BILL_ADDRESS_DAY_FAX_NO , 
	BILL_ADDRESS_EVENING_FAX_NO , 
	BILL_ADDRESS_EMAILID , 
	BILL_ADDRESS_ALTERNATE_EMAILID , 
	BILL_ADDRESS_HTTP_URL 
)
 AS 
SELECT
		 ORGANIZATION_KEY,
		 USER_KEY,
		 LOGINID,
		 PASSWORD,
		 USERNAME,
		 BUSINESS_KEY,
		 USERGROUP_KEY,
		 CONTACTADDRESS_KEY,
		 BILLINGADDRESS_KEY,
		 IMAGEFILE,
		 USERTYPE,
		 NOTE_KEY,
		 PREFERENCE_KEY,
		 PWDLASTCHANGEDON,
		 ACTIVATEFLAG,
		 LONGDESC,
		 LOCALECODE,
		 PARENT_USER_KEY,
		 MENU_ID,
		 U.CREATOR_ORGANIZATION_KEY,
		 THEME,
		 SYSTEMNAME,
		 DATA_SECURITY_GROUP_ID,
		 PI2.PERSON_INFO_KEY,
		 PI2.PERSON_ID,
		 PI2.TITLE,
		 PI2.FIRST_NAME,
		 PI2.MIDDLE_NAME,
		 PI2.LAST_NAME,
		 PI2.SUFFIX,
		 PI2.DEPARTMENT,
		 PI2.COMPANY,
		 PI2.JOB_TITLE,
		 PI2.ADDRESS_LINE1,
		 PI2.ADDRESS_LINE2,
		 PI2.ADDRESS_LINE3,
		 PI2.ADDRESS_LINE4,
		 PI2.ADDRESS_LINE5,
		 PI2.ADDRESS_LINE6,
		 PI2.CITY,
		 PI2.STATE,
		 PI2.ZIP_CODE,
		 PI2.COUNTRY,
		 PI2.DAY_PHONE,
		 PI2.EVENING_PHONE,
		 PI2.MOBILE_PHONE,
		 PI2.BEEPER,
		 PI2.OTHER_PHONE,
		 PI2.DAY_FAX_NO,
		 PI2.EVENING_FAX_NO,
		 PI2.EMAILID,
		 PI2.ALTERNATE_EMAILID,
		 PI2.HTTP_URL,
		 PI3.PERSON_INFO_KEY,
		 PI3.PERSON_ID,
		 PI3.TITLE,
		 PI3.FIRST_NAME,
		 PI3.MIDDLE_NAME,
		 PI3.LAST_NAME,
		 PI3.SUFFIX,
		 PI3.DEPARTMENT,
		 PI3.COMPANY,
		 PI3.JOB_TITLE,
		 PI3.ADDRESS_LINE1,
		 PI3.ADDRESS_LINE2,
		 PI3.ADDRESS_LINE3,
		 PI3.ADDRESS_LINE4,
		 PI3.ADDRESS_LINE5,
		 PI3.ADDRESS_LINE6,
		 PI3.CITY,
		 PI3.STATE,
		 PI3.ZIP_CODE,
		 PI3.COUNTRY,
		 PI3.DAY_PHONE,
		 PI3.EVENING_PHONE,
		 PI3.MOBILE_PHONE,
		 PI3.BEEPER,
		 PI3.OTHER_PHONE,
		 PI3.DAY_FAX_NO,
		 PI3.EVENING_FAX_NO,
		 PI3.EMAILID,
		 PI3.ALTERNATE_EMAILID,
		 PI3.HTTP_URL
FROM  YFS_USER U  LEFT OUTER JOIN  YFS_PERSON_INFO PI2  ON  U.CONTACTADDRESS_KEY  = PI2.PERSON_INFO_KEY   LEFT OUTER JOIN  YFS_PERSON_INFO PI3  ON  U.BILLINGADDRESS_KEY  = PI3.PERSON_INFO_KEY  



GO
