if exists (select * from dbo.sysobjects where id = object_id(N'[YNA_INVENTORY_TAG_VW ]')and OBJECTPROPERTY(id, N'IsView') = 1)
 DROP VIEW [YNA_INVENTORY_TAG_VW ]
GO
CREATE VIEW YNA_INVENTORY_TAG_VW 
(
	INVENTORY_TAG_KEY , 
	INVENTORY_ITEM_KEY , 
	TAG_NUMBER , 
	LOT_NUMBER , 
	LOT_KEY_REFERENCE , 
	LOT_MANUFACTURE_DATE , 
	LOT_ATTRIBUTE1 , 
	LOT_ATTRIBUTE2 , 
	LOT_ATTRIBUTE3 , 
	REVISION_NO , 
	BATCH_NO , 
	TOTAL_ONHAND_SUPPLY , 
	TOTAL_OTHER_SUPPLY , 
	TOTAL_DEMAND 
)
 AS 
SELECT
		 INVENTORY_TAG_KEY,
		 INVENTORY_ITEM_KEY,
		 TAG_NUMBER,
		 LOT_NUMBER,
		 LOT_KEY_REFERENCE,
		 LOT_MANUFACTURE_DATE,
		 LOT_ATTRIBUTE1,
		 LOT_ATTRIBUTE2,
		 LOT_ATTRIBUTE3,
		 REVISION_NO,
		 BATCH_NO,
		 TOTAL_ONHAND_SUPPLY,
		 TOTAL_OTHER_SUPPLY,
		 TOTAL_DEMAND
FROM  YFS_INVENTORY_TAG 


GO
