if exists (select * from dbo.sysobjects where id = object_id(N'[YNA_SHIPMENT_DISCREPANCY_VW ]')and OBJECTPROPERTY(id, N'IsView') = 1)
 DROP VIEW [YNA_SHIPMENT_DISCREPANCY_VW ]
GO
CREATE VIEW YNA_SHIPMENT_DISCREPANCY_VW 
AS 
SELECT
		 S.DOCUMENT_TYPE,
		 S.RECEIVING_NODE,
		 S.ENTERPRISE_CODE,
		 S.SHIPMENT_KEY,
		 S.ACTUAL_SHIPMENT_DATE SHIP_DATE,
		 SD.DISCREPANCY_CODE,
		 SD.PARTICIPANT,
		 S.SELLER_ORGANIZATION_CODE SELLER,
		 S.SCAC CARRIER
FROM  YFS_SHIPMENT S,
	 YNW_SHIPMENT_DISCREPANCY SD 
WHERE	 SD.SHIPMENT_KEY  = S.SHIPMENT_KEY
 AND	S.DOCUMENT_TYPE  = '0005'
UNION
 SELECT
		 SH.DOCUMENT_TYPE,
		 SH.RECEIVING_NODE,
		 SH.ENTERPRISE_CODE,
		 SHIPMENT_KEY,
		 SH.ACTUAL_SHIPMENT_DATE SHIP_DATE,
		 '' DISCREPANCY_CODE,
		 '' PARTICIPANT,
		 SH.SELLER_ORGANIZATION_CODE SELLER,
		 SH.SCAC CARRIER
FROM  YFS_SHIPMENT SH 
WHERE	 SH.DOCUMENT_TYPE  = '0005'
 


GO
