if exists (select * from dbo.sysobjects where id = object_id(N'[YNA_LOAD_STOP_ADD_VW ]')and OBJECTPROPERTY(id, N'IsView') = 1)
 DROP VIEW [YNA_LOAD_STOP_ADD_VW ]
GO
CREATE VIEW YNA_LOAD_STOP_ADD_VW 
(
	LOAD_STOP_KEY , 
	LOAD_KEY , 
	STOP_SEQUENCE_NO , 
	STOP_TYPE , 
	STOP_NODE , 
	EXPECTED_DEPARTURE_DATE , 
	ACTUAL_DEPARTURE_DATE , 
	EXPECTED_ARRIVAL_DATE , 
	ACTUAL_ARRIVAL_DATE , 
	TOTAL_WEIGHT_IN , 
	TOTAL_WEIGHT_OUT , 
	WEIGHT_UOM , 
	TOTAL_VOLUME_IN , 
	TOTAL_VOLUME_OUT , 
	VOLUME_UOM , 
	STOP_REACHED , 
	STOP_ADDRESS_KEY , 
	STOP_PERSON_ID , 
	STOP_TITLE , 
	STOP_FIRST_NAME , 
	STOP_MIDDLE_NAME , 
	STOP_LAST_NAME , 
	STOP_SUFFIX , 
	STOP_DEPARTMENT , 
	STOP_COMPANY , 
	STOP_JOB_TITLE , 
	STOP_ADDRESS_LINE1 , 
	STOP_ADDRESS_LINE2 , 
	STOP_ADDRESS_LINE3 , 
	STOP_ADDRESS_LINE4 , 
	STOP_ADDRESS_LINE5 , 
	STOP_ADDRESS_LINE6 , 
	STOP_CITY , 
	STOP_STATE , 
	STOP_ZIP_CODE , 
	STOP_COUNTRY , 
	STOP_DAY_PHONE , 
	STOP_EVENING_PHONE , 
	STOP_MOBILE_PHONE , 
	STOP_BEEPER , 
	STOP_OTHER_PHONE , 
	STOP_DAY_FAX_NO , 
	STOP_EVENING_FAX_NO , 
	STOP_EMAILID , 
	STOP_ALTERNATE_EMAILID , 
	STOP_HTTP_URL , 
	DOCK_LOCATION_ID , 
	CARRIER_APPOINTMENT_NO , 
	CARRIER_APPOINTMENT_DATE 
)
 as 
SELECT
		 LOAD_STOP_KEY,
		 LOAD_KEY,
		 STOP_SEQUENCE_NO,
		 STOP_TYPE,
		 STOP_NODE,
		 EXPECTED_DEPARTURE_DATE,
		 ACTUAL_DEPARTURE_DATE,
		 EXPECTED_ARRIVAL_DATE,
		 ACTUAL_ARRIVAL_DATE,
		 TOTAL_WEIGHT_IN,
		 TOTAL_WEIGHT_OUT,
		 WEIGHT_UOM,
		 TOTAL_VOLUME_IN,
		 TOTAL_VOLUME_OUT,
		 VOLUME_UOM,
		 STOP_REACHED,
		 STOP_ADDRESS_KEY,
		 PI.PERSON_ID,
		 PI.TITLE,
		 PI.FIRST_NAME,
		 PI.MIDDLE_NAME,
		 PI.LAST_NAME,
		 PI.SUFFIX,
		 PI.DEPARTMENT,
		 PI.COMPANY,
		 PI.JOB_TITLE,
		 PI.ADDRESS_LINE1,
		 PI.ADDRESS_LINE2,
		 PI.ADDRESS_LINE3,
		 PI.ADDRESS_LINE4,
		 PI.ADDRESS_LINE5,
		 PI.ADDRESS_LINE6,
		 PI.CITY,
		 PI.STATE,
		 PI.ZIP_CODE,
		 PI.COUNTRY,
		 PI.DAY_PHONE,
		 PI.EVENING_PHONE,
		 PI.MOBILE_PHONE,
		 PI.BEEPER,
		 PI.OTHER_PHONE,
		 PI.DAY_FAX_NO,
		 PI.EVENING_FAX_NO,
		 PI.EMAILID,
		 PI.ALTERNATE_EMAILID,
		 PI.HTTP_URL,
		 DOCK_LOCATION_ID,
		 CARRIER_APPOINTMENT_NO,
		 CARRIER_APPOINTMENT_DATE
FROM  YFS_PERSON_INFO PI  RIGHT OUTER JOIN  YFS_LOAD_STOP LS  ON  PI.PERSON_INFO_KEY  = LS.STOP_ADDRESS_KEY  



GO
