if exists (select * from dbo.sysobjects where id = object_id(N'[YNA_TASK_ADD_VW ]')and OBJECTPROPERTY(id, N'IsView') = 1)
 DROP VIEW [YNA_TASK_ADD_VW ]
GO
CREATE VIEW YNA_TASK_ADD_VW 
(
	TASK_KEY , 
	TASK_ID , 
	ORGANIZATION_CODE , 
	TASK_TYPE , 
	ENTERPRISE_KEY , 
	PARENT_TASK_ID , 
	PREDECESSOR_TASK_ID , 
	IS_SUMMARY_TASK , 
	SOURCE_LOCATION_ID , 
	SOURCE_ZONE_ID , 
	SOURCE_AISLE , 
	TARGET_LOCATION_ID , 
	TARGET_ZONE_ID , 
	TARGET_AISLE , 
	SOURCE_SORT_SEQUENCE , 
	TARGET_SORT_SEQUENCE , 
	TASK_PRIORITY , 
	FINISH_NO_LATER_THAN , 
	START_NO_EARLIER_THAN , 
	ASSIGNED_TO_USER_ID , 
	ITEM_ID , 
	PRODUCT_CLASS , 
	UNIT_OF_MEASURE , 
	SOURCE_LPN_NO , 
	SOURCE_LPN_TYPE , 
	TARGET_LPN_NO , 
	TARGET_LPN_TYPE , 
	TAG_NUMBER , 
	SERIAL_NO , 
	SEGMENT_TYPE , 
	SEGMENT , 
	INVENTORY_STATUS , 
	QUANTITY , 
	RECEIPT_HEADER_KEY , 
	SHIP_BY_DATE , 
	TASK_STATUS , 
	FIFO_NO , 
	COUNTRY_OF_ORIGIN , 
	EQUIPMENT_ID , 
	EQUIPMENT_LOCATION_ID , 
	EXCEPTION_HOLD , 
	HOLD_REASON_CODE , 
	HOLD_REASON_TEXT , 
	DEPENDENCY_HOLD , 
	BATCH_HOLD , 
	ORDER_NO , 
	RECEIPT_NO , 
	DOCUMENT_TYPE , 
	RELEASE_NO , 
	PRIME_LINE_NO , 
	SUB_LINE_NO , 
	ORDER_HEADER_KEY , 
	ORDER_LINE_KEY , 
	ORDER_RELEASE_KEY , 
	WAVE_NO , 
	SHIPMENT_NO , 
	CONTAINER_NO , 
	SHIPMENT_LINE_KEY , 
	SHIPMENT_CONTAINER_KEY , 
	SHIPMENT_KEY , 
	BATCH_NO , 
	BATCH_KEY , 
	SCAC , 
	LOAD_NO , 
	BOL_NO , 
	TRAILER_NO , 
	MANIFEST_NO , 
	MOVE_REQUEST_KEY , 
	MOVE_REQUEST_NO , 
	MOVE_REQUEST_LINE_KEY , 
	COUNT_REQUEST_KEY , 
	COUNT_REQUEST_NO , 
	WORK_ORDER_NO , 
	WORK_ORDER_KEY , 
	PRODUCTIVITY_KEY , 
	START_TIME_STAMP , 
	END_TIME_STAMP , 
	REFERENCE_SORT_SEQUENCE , 
	IS_PARENT , 
	ITEM_CLASSIFICATION1 , 
	ITEM_CLASSIFICATION2 , 
	ITEM_CLASSIFICATION3 , 
	CREATETS , 
	MODIFYTS 
)
 AS 
SELECT
		 TASK_KEY,
		 TASK_ID,
		 ORGANIZATION_CODE,
		 TASK_TYPE,
		 ENTERPRISE_KEY,
		 PARENT_TASK_ID,
		 PREDECESSOR_TASK_ID,
		 IS_SUMMARY_TASK,
		 SOURCE_LOCATION_ID,
		 SOURCE_ZONE_ID,
		 SOURCE_AISLE,
		 TARGET_LOCATION_ID,
		 TARGET_ZONE_ID,
		 TARGET_AISLE,
		 SOURCE_SORT_SEQUENCE,
		 TARGET_SORT_SEQUENCE,
		 TASK_PRIORITY,
		 FINISH_NO_LATER_THAN,
		 START_NO_EARLIER_THAN,
		 ASSIGNED_TO_USER_ID,
		 ITEM_ID,
		 PRODUCT_CLASS,
		 UNIT_OF_MEASURE,
		 SOURCE_LPN_NO,
		 SOURCE_LPN_TYPE,
		 TARGET_LPN_NO,
		 TARGET_LPN_TYPE,
		 TAG_NUMBER,
		 SERIAL_NO,
		 SEGMENT_TYPE,
		 SEGMENT,
		 INVENTORY_STATUS,
		 QUANTITY,
		 RECEIPT_HEADER_KEY,
		 SHIP_BY_DATE,
		 TASK_STATUS,
		 FIFO_NO,
		 COUNTRY_OF_ORIGIN,
		 EQUIPMENT_ID,
		 EQUIPMENT_LOCATION_ID,
		 EXCEPTION_HOLD,
		 HOLD_REASON_CODE,
		 HOLD_REASON_TEXT,
		 DEPENDENCY_HOLD,
		 BATCH_HOLD,
		 ORDER_NO,
		 RECEIPT_NO,
		 DOCUMENT_TYPE,
		 RELEASE_NO,
		 PRIME_LINE_NO,
		 SUB_LINE_NO,
		 ORDER_HEADER_KEY,
		 ORDER_LINE_KEY,
		 ORDER_RELEASE_KEY,
		 WAVE_NO,
		 SHIPMENT_NO,
		 CONTAINER_NO,
		 SHIPMENT_LINE_KEY,
		 SHIPMENT_CONTAINER_KEY,
		 SHIPMENT_KEY,
		 BATCH_NO,
		 BATCH_KEY,
		 SCAC,
		 LOAD_NO,
		 BOL_NO,
		 TRAILER_NO,
		 MANIFEST_NO,
		 MOVE_REQUEST_KEY,
		 MOVE_REQUEST_NO,
		 MOVE_REQUEST_LINE_KEY,
		 COUNT_REQUEST_KEY,
		 COUNT_REQUEST_NO,
		 WORK_ORDER_NO,
		 WORK_ORDER_KEY,
		 PRODUCTIVITY_KEY,
		 START_TIME_STAMP,
		 END_TIME_STAMP,
		 REFERENCE_SORT_SEQUENCE,
		 IS_PARENT,
		 ITEM_CLASSIFICATION1,
		 ITEM_CLASSIFICATION2,
		 ITEM_CLASSIFICATION3,
		 CREATETS,
		 MODIFYTS
FROM  YFS_TASK 


GO
