rem ******************************************************************************
rem * Licensed Materials - Property of IBM
rem * IBM Sterling Warehouse Management System
rem * (C) Copyright IBM Corp. 2005,2011 All Rights Reserved.  
rem * US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
rem ******************************************************************************

@echo off

@rem "For English install only. For other installs see IBM Sterling Warehouse Management System: Business Intelligence documentation appendix - IWR Report Ready Auto Refresh"

set COGNOS_HOME=%COGNOS_HOME%
set ANALYTICS_HOME=%ANALYTICS_HOME%

if "%COGNOS_HOME%"=="" goto usage
if "%ANALYTICS_HOME%"=="" goto usage

@rem Replacing the Cognos 10.1.1 BI Server logo
move "%COGNOS_HOME%\webcontent\skins\classic\branding\banner_cogsquare.gif" "%COGNOS_HOME%\webcontent\skins\classic\branding\banner_cogsquare.gif.original"
copy  "%ANALYTICS_HOME%\custom\IBM_Sterling_app_logo.gif" "%COGNOS_HOME%\webcontent\skins\classic\branding\banner_cogsquare.gif"

move "%COGNOS_HOME%\webcontent\skins\contemporary\branding\banner_cogsquare.gif" "%COGNOS_HOME%\webcontent\skins\contemporary\branding\banner_cogsquare.gif.original"
copy  "%ANALYTICS_HOME%\custom\IBM_Sterling_app_logo.gif" "%COGNOS_HOME%\webcontent\skins\contemporary\branding\banner_cogsquare.gif"

move "%COGNOS_HOME%\webcontent\skins\corporate\branding\banner_cogsquare.gif" "%COGNOS_HOME%\webcontent\skins\corporate\branding\banner_cogsquare.gif.original"
copy  "%ANALYTICS_HOME%\custom\IBM_Sterling_app_logo.gif" "%COGNOS_HOME%\webcontent\skins\corporate\branding\banner_cogsquare.gif"

move "%COGNOS_HOME%\webcontent\skins\modern\branding\banner_cogsquare.gif" "%COGNOS_HOME%\webcontent\skins\modern\branding\banner_cogsquare.gif.original"
copy  "%ANALYTICS_HOME%\custom\IBM_Sterling_app_logo.gif" "%COGNOS_HOME%\webcontent\skins\modern\branding\banner_cogsquare.gif"

move "%COGNOS_HOME%\webcontent\skins\presentation\branding\banner_cogsquare.gif" "%COGNOS_HOME%\webcontent\skins\presentation\branding\banner_cogsquare.gif.original"
copy  "%ANALYTICS_HOME%\custom\IBM_Sterling_app_logo.gif" "%COGNOS_HOME%\webcontent\skins\presentation\branding\banner_cogsquare.gif"

move "%COGNOS_HOME%\webcontent\skins\windows\branding\banner_cogsquare.gif" "%COGNOS_HOME%\webcontent\skins\windows\branding\banner_cogsquare.gif.original"
copy  "%ANALYTICS_HOME%\custom\IBM_Sterling_app_logo.gif" "%COGNOS_HOME%\webcontent\skins\windows\branding\banner_cogsquare.gif"

@rem Copy the Report Header logo
copy  "%ANALYTICS_HOME%\custom\IBM_Sterling_app_logo.gif" "%COGNOS_HOME%\webcontent\samples\images\report_header_logo.gif"

echo "Restart the Cognos 10.1.1 BI Server."

goto end

:usage
echo "Set COGNOS_HOME=<your Cognos install location, e.g. X:\Program Files\Cognos>"
echo "Set ANALYTICS_HOME=<your IBM Sterling Warehouse Management System: Business Intelligence install location, e.g. Y:\Sterling\BI>"
:end