@rem This file disables the cube(s) in PPES, copies over the refreshed one and enables the cube again.
@rem For parallel/different interval refresh of cubes, make multiple copies of this file (See Analytics documentation)
@rem Close all the open Analytics cubes before running this script

if "%COGNOS_HOME%"=="" goto usage
if "%ANALYTICS_HOME%"=="" goto usage

echo "Disabling cube..."
@rem For the cube names edit the disable.txt (or copies) file 
%COGNOS_HOME%\cer3\bin\ppadmtool < disable.txt

echo "Copying cube..."
@rem Modify the paths below according to your installation
copy /y "%ANALYTICS_HOME%\Staging\Publish\Power Cubes\Order_Profile.mdc"  "%ANALYTICS_HOME%\Power cubes"
@rem Or
@rem copy /y "%ANALYTICS_HOME%\Staging\Publish\Power Cubes\*.mdc"  "%ANALYTICS_HOME%\Power cubes"

echo "Enabling cube..."
@rem For the cube names edit the enable.txt (or copies) file 
%COGNOS_HOME%\cer3\bin\ppadmtool < enable.txt

goto end

:usage
echo "Set COGNOS_HOME=<your Cognos (PowerPlay) install location, ex: X:\Program Files\Cognos>"
echo "Set ANALYTICS_HOME=<your Analytics install location, ex: Y:\Yantra\Analytics>"
:end