
 DROP VIEW YNA_SCAC_AND_SERVICE_NL_VW ;
CREATE VIEW YNA_SCAC_AND_SERVICE_NL_VW 
(
	SCAC_AND_SERVICE_KEY , 
	SCAC_CODE , 
	SCAC_AND_SERVICE , 
	SCAC_KEY , 
	CARRIER_SERVICE_KEY , 
	ELECTRONIC_CODE , 
	SHIP_MODE , 
	CARRIER_TYPE , 
	CARRIER_SERVICE_CODE , 
	CAN_SHIP_HAZMAT , 
	IS_AIR , 
	HAS_FREEZER 
)
 AS 
SELECT
		 A1.SCAC_AND_SERVICE_KEY,
		 A1.SCAC_CODE,
		 A1.SCAC_AND_SERVICE,
		 A1.SCAC_KEY,
		 A1.CARRIER_SERVICE_KEY,
		 A1.ELECTRONIC_CODE,
		 A1.SHIP_MODE,
		 A1.CARRIER_TYPE,
		 A2.CARRIER_SERVICE_CODE,
		 CAN_SHIP_HAZMAT,
		 IS_AIR,
		 HAS_FREEZER
FROM  YFS_SCAC_AND_SERVICE A1,
	 YFS_CARRIER_SERVICE A2 
WHERE	 A1.CARRIER_SERVICE_KEY  = A2.CARRIER_SERVICE_KEY


;
