
 DROP VIEW YNA_UOM_CONVERSION_VW ;
CREATE VIEW YNA_UOM_CONVERSION_VW 
(
	UOM_FROM , 
	UOM_TO , 
	CONVERSION_RATE 
)
 AS 
SELECT
		 A1.UOM_FROM,
		 A1.UOM_TO,
		 A1.CONVERSION_RATE
FROM  YFS_UOM_CONVERSION A1  LEFT OUTER JOIN  YFS_UOM_CONVERSION A2  ON  A1.UOM_FROM  = A2.UOM_FROM
	 AND	A1.UOM_TO  = A2.UOM_TO  

UNION
 SELECT
		 A3.UOM_TO,
		 A3.UOM_FROM,
		 1 / A3.CONVERSION_RATE
FROM  YFS_UOM_CONVERSION A3  LEFT OUTER JOIN  YFS_UOM_CONVERSION A4  ON  A3.UOM_FROM  = A4.UOM_TO
	 AND	A3.UOM_TO  = A4.UOM_FROM  

 


;
