
 DROP VIEW YNA_ITEM_UOM_VW ;
CREATE VIEW YNA_ITEM_UOM_VW 
(
	ITEM_UOM_KEY , 
	ITEM_KEY , 
	UOM , 
	QUANTITY , 
	CASE_QTY , 
	PALLET_QTY , 
	LENGTH , 
	WIDTH , 
	HEIGHT , 
	WEIGHT , 
	LENGTH_UOM , 
	WIDTH_UOM , 
	HEIGHT_UOM , 
	WEIGHT_UOM , 
	IS_ORDERING_UOM , 
	IS_OPERATIONAL_UOM 
)
 AS 
SELECT
		 IU.ITEM_UOM_KEY,
		 IU.ITEM_KEY,
		 IU.UOM,
		 IU.QUANTITY,
		 (		SELECT MIN(QUANTITY)
		FROM  YFS_ITEM_UOM UOM 
		WHERE	 UOM.ITEM_KEY  = IU.ITEM_KEY
		 AND	UOM.UOM  = 'CASE'
) CASE_QTY,
		 (		SELECT MIN(QUANTITY)
		FROM  YFS_ITEM_UOM UOM 
		WHERE	 UOM.ITEM_KEY  = IU.ITEM_KEY
		 AND	UOM.UOM  = 'PALLET'
) PALLET_QTY,
		 IU.LENGTH,
		 IU.WIDTH,
		 IU.HEIGHT,
		 IU.WEIGHT,
		 IU.LENGTH_UOM,
		 IU.WIDTH_UOM,
		 IU.HEIGHT_UOM,
		 IU.WEIGHT_UOM,
		 IU.IS_ORDERING_UOM,
		 IU.IS_OPERATIONAL_UOM
FROM  YFS_ITEM_UOM IU 


;
