
 DROP VIEW YNA_ORDHDR_CHARGE_TRANSN_VW ;
CREATE VIEW YNA_ORDHDR_CHARGE_TRANSN_VW 
(
	ORDER_HEADER_KEY , 
	CHARGE_TRANSACTION_KEY , 
	CHARGE_TYPE , 
	STATUS , 
	CREDIT_AMOUNT , 
	DEBIT_AMOUNT , 
	BOOK_AMOUNT , 
	OPEN_AUTHORIZED_AMOUNT , 
	REQUEST_AMOUNT , 
	DISTRIBUTED_AMOUNT , 
	AUTHORIZATION_ID , 
	AUTHORIZATION_EXPIRATION_DATE , 
	ORDER_INVOICE_KEY , 
	AUDIT_TRANSACTION_ID , 
	SETTLED_AMOUNT , 
	PAYMENT_KEY , 
	COLLECTION_DATE , 
	HOLD_AGAINST_BOOK , 
	PAYMENT_TYPE , 
	CUSTOMER_ACCOUNT_NO , 
	CUSTOMER_PO_NO , 
	CREDIT_CARD_TYPE , 
	CREDIT_CARD_NAME , 
	CREDIT_CARD_NO , 
	DISPLAY_CREDIT_CARD_NO , 
	CREDIT_CARD_EXP_DATE , 
	PAYMENT_REFERENCE1 , 
	PAYMENT_REFERENCE2 , 
	PAYMENT_REFERENCE3 , 
	CHEQUE_NO , 
	CHEQUE_REFERENCE , 
	PAY_METHOD_OVERRIDE , 
	MAX_CHARGE_LIMIT , 
	TRANSFER_FROM_OH_KEY , 
	TRANSFER_TO_OH_KEY , 
	EXECUTION_DATE , 
	IS_COLLECTION_DATE_FIRM 
)
 AS 
SELECT
		 CT.ORDER_HEADER_KEY,
		 CT.CHARGE_TRANSACTION_KEY,
		 CT.CHARGE_TYPE,
		 CT.STATUS,
		 CT.CREDIT_AMOUNT,
		 CT.DEBIT_AMOUNT,
		 CT.BOOK_AMOUNT,
		 CT.OPEN_AUTHORIZED_AMOUNT,
		 CT.REQUEST_AMOUNT,
		 CT.DISTRIBUTED_AMOUNT,
		 CT.AUTHORIZATION_ID,
		 CT.AUTHORIZATION_EXPIRATION_DATE,
		 CT.ORDER_INVOICE_KEY,
		 CT.AUDIT_TRANSACTION_ID,
		 CT.SETTLED_AMOUNT,
		 CT.PAYMENT_KEY,
		 CT.COLLECTION_DATE,
		 CT.HOLD_AGAINST_BOOK,
		 P.PAYMENT_TYPE,
		 CUSTOMER_ACCOUNT_NO,
		 CUSTOMER_PO_NO,
		 CREDIT_CARD_TYPE,
		 CREDIT_CARD_NAME,
		 CREDIT_CARD_NO,
		 DISPLAY_CREDIT_CARD_NO,
		 CREDIT_CARD_EXP_DATE,
		 PAYMENT_REFERENCE1,
		 PAYMENT_REFERENCE2,
		 PAYMENT_REFERENCE3,
		 CHEQUE_NO,
		 CHEQUE_REFERENCE,
		 PAY_METHOD_OVERRIDE,
		 MAX_CHARGE_LIMIT,
		 TRANSFER_FROM_OH_KEY,
		 TRANSFER_TO_OH_KEY,
		 EXECUTION_DATE,
		 IS_COLLECTION_DATE_FIRM
FROM  YFS_CHARGE_TRANSACTION CT,
	 YFS_PAYMENT P 
WHERE	 CT.PAYMENT_KEY  = P.PAYMENT_KEY


;
