
 DROP VIEW YNA_ORDER_LINE_PS_VW ;
CREATE VIEW YNA_ORDER_LINE_PS_VW 
(
	ENTERPRISE_KEY , 
	ORDER_HEADER_KEY , 
	ORDER_LINE_KEY , 
	PRIME_LINE_NO , 
	SUB_LINE_NO , 
	LINE_TYPE , 
	ORDER_CLASS , 
	ITEM_ID , 
	UOM , 
	PRODUCT_CLASS , 
	UNIT_PRICE , 
	COST_CURRENCY , 
	ORDERED_QTY , 
	SHIPNODE_KEY , 
	SHIP_TO_KEY , 
	MARK_FOR_KEY , 
	ALLOCATE_DATE , 
	REQ_DELIVERY_DATE , 
	REQ_CANCEL_DATE , 
	REQ_SHIP_DATE , 
	SCAC , 
	CARRIER_SERVICE_CODE , 
	CARRIER_ACCOUNT_NO , 
	PICKABLE_FLAG , 
	SHIP_TOGETHER_NO , 
	HOLD_FLAG , 
	KIT_CODE , 
	HOLD_REASON_CODE , 
	OTHER_CHARGES , 
	LINE_TOTAL , 
	TAXABLE_FLAG , 
	PERSONALIZE_FLAG , 
	PERSONALIZE_CODE , 
	DEPARTMENT_CODE , 
	CUSTOMER_ITEM , 
	CUSTOMER_ITEM_DESCRIPTION , 
	ITEM_WEIGHT , 
	ITEM_WEIGHT_UOM , 
	ITEM_DESCRIPTION , 
	ITEM_SHORT_DESCRIPTION , 
	RESERVATION_ID , 
	RESERVATION_POOL , 
	CUSTOMER_PO_NO , 
	CUSTOMER_PO_LINE_NO , 
	TAX , 
	DELIVERY_CODE , 
	ORIGINAL_ORDERED_QTY , 
	LIST_PRICE , 
	RETAIL_PRICE , 
	PACKLIST_TYPE , 
	SUPPLIER_ITEM , 
	SUPPLIER_ITEM_DESCRIPTION , 
	UNIT_COST , 
	UPC_CODE , 
	FOB , 
	MANUFACTURER_NAME , 
	MANUFACTURER_ITEM , 
	MANUFACTURER_ITEM_DESC , 
	COUNTRY_OF_ORIGIN , 
	ISBN , 
	HARMONIZED_CODE , 
	SHIP_TO_ID , 
	PRODUCT_LINE , 
	NMFC_CODE , 
	NMFC_CLASS , 
	NMFC_DESCRIPTION , 
	TAX_PRODUCT_CODE , 
	IMPORT_LICENSE_NO , 
	IMPORT_LICENSE_EXP_DATE , 
	ECCN_NO , 
	SCHEDULE_B_CODE , 
	SUPPLIER_CODE , 
	PURPOSE , 
	RECEIVING_NODE , 
	ORIG_ORDER_LINE_KEY , 
	LINE_SEQ_NO , 
	SPLIT_QTY , 
	ALLOCATION_LEAD_TIME , 
	DEPENDENT_ON_LINE_KEY , 
	DEPENDENCY_SHIPPING_RULE , 
	FILL_QUANTITY , 
	DEPENDENCY_RATIO , 
	MAINTAIN_RATIO , 
	MERGE_NODE , 
	PARENT_OF_DEPENDENT_GROUP , 
	SOURCE_FROM_ORGANIZATION , 
	CHAINED_FROM_ORDER_LINE_KEY , 
	CHAINED_FROM_ORDER_HEADER_KEY , 
	DERIVED_FROM_ORDER_LINE_KEY , 
	DERIVED_FROM_ORDER_HEADER_KEY , 
	DERIVED_FROM_ORDER_RELEASE_KEY , 
	DISTRIBUTION_RULE_ID , 
	INVOICED_QUANTITY , 
	OVER_RECEIPT_QUANTITY , 
	RETURN_REASON , 
	INVOICED_LINE_TOTAL , 
	INVOICED_EXTENDED_PRICE , 
	SETTLED_QUANTITY , 
	SETTLED_AMOUNT , 
	PRICING_DATE , 
	PIPELINE_KEY , 
	CONDITION_VARIABLE_1 , 
	CONDITION_VARIABLE_2 , 
	INVOICE_COMPLETE , 
	SERIAL_NO , 
	DO_NOT_CONSOLIDATE , 
	DELIVERY_METHOD , 
	ITEM_GROUP_CODE , 
	CANNOT_COMPLETE_BEFORE_DATE , 
	CANNOT_COMPLETE_AFTER_DATE , 
	APPT_STATUS , 
	CAN_ADD_SERVICE_LINES , 
	PRICING_UOM , 
	PRICING_QUANTITY , 
	SHIPPED_QUANTITY , 
	FIXED_CAPACITY_QTY_PER_LINE , 
	FIXED_PRICING_QTY_PER_LINE , 
	WAIT_FOR_SEQ_LINE , 
	SCHED_FAILURE_REASON_CODE , 
	EARLIEST_SHIP_DATE , 
	EARLIEST_DELIVERY_DATE , 
	CANNOT_MEET_APPT , 
	PROMISED_APPT_START_DATE , 
	PROMISED_APPT_END_DATE , 
	SEGMENT , 
	SEGMENT_TYPE , 
	EARLIEST_SCHEDULE_DATE , 
	OL_TIMEZONE , 
	ORDERING_UOM , 
	PRICING_QUANTITY_CONV_FACTOR , 
	PRICING_QUANTITY_STRATEGY , 
	INVOICED_PRICING_QUANTITY , 
	IS_STANDALONE_SERVICE , 
	TRAN_DISCREPANCY_QTY , 
	RECEIVED_QUANTITY , 
	INVOICE_BASED_ON_ACTUALS , 
	ACTUAL_PRICING_QUANTITY , 
	BASIC_CAPACITY_REQUIRED , 
	OPTION_CAPACITY_REQUIRED , 
	CURRENT_WORK_ORDER_KEY , 
	GIFT_FLAG , 
	IS_CAPACITY_OVERRIDDEN , 
	CAPACITY_UOM , 
	IS_FORWARDING_ALLOWED , 
	IS_PROCUREMENT_ALLOWED , 
	INTENTIONAL_BACKORDER , 
	FUTURE_AVAIL_DATE , 
	REPRICING_QUANTITY , 
	SHIP_TO_PERSON_INFO_KEY , 
	SHIP_TO_PERSON_ID , 
	SHIP_TO_TITLE , 
	SHIP_TO_FIRST_NAME , 
	SHIP_TO_MIDDLE_NAME , 
	SHIP_TO_LAST_NAME , 
	SHIP_TO_SUFFIX , 
	SHIP_TO_DEPARTMENT , 
	SHIP_TO_COMPANY , 
	SHIP_TO_JOB_TITLE , 
	SHIP_TO_ADDRESS_LINE1 , 
	SHIP_TO_ADDRESS_LINE2 , 
	SHIP_TO_ADDRESS_LINE3 , 
	SHIP_TO_ADDRESS_LINE4 , 
	SHIP_TO_ADDRESS_LINE5 , 
	SHIP_TO_ADDRESS_LINE6 , 
	SHIP_TO_CITY , 
	SHIP_TO_STATE , 
	SHIP_TO_ZIP_CODE , 
	SHIP_TO_COUNTRY , 
	SHIP_TO_DAY_PHONE , 
	SHIP_TO_EVENING_PHONE , 
	SHIP_TO_MOBILE_PHONE , 
	SHIP_TO_BEEPER , 
	SHIP_TO_OTHER_PHONE , 
	SHIP_TO_DAY_FAX_NO , 
	SHIP_TO_EVENING_FAX_NO , 
	SHIP_TO_EMAILID , 
	SHIP_TO_ALTERNATE_EMAILID , 
	SHIP_TO_HTTP_URL , 
	MARK_FOR_PERSON_INFO_KEY , 
	MARK_FOR_PERSON_ID , 
	MARK_FOR_TITLE , 
	MARK_FOR_FIRST_NAME , 
	MARK_FOR_MIDDLE_NAME , 
	MARK_FOR_LAST_NAME , 
	MARK_FOR_SUFFIX , 
	MARK_FOR_DEPARTMENT , 
	MARK_FOR_COMPANY , 
	MARK_FOR_JOB_TITLE , 
	MARK_FOR_ADDRESS_LINE1 , 
	MARK_FOR_ADDRESS_LINE2 , 
	MARK_FOR_ADDRESS_LINE3 , 
	MARK_FOR_ADDRESS_LINE4 , 
	MARK_FOR_ADDRESS_LINE5 , 
	MARK_FOR_ADDRESS_LINE6 , 
	MARK_FOR_CITY , 
	MARK_FOR_STATE , 
	MARK_FOR_ZIP_CODE , 
	MARK_FOR_COUNTRY , 
	MARK_FOR_DAY_PHONE , 
	MARK_FOR_EVENING_PHONE , 
	MARK_FOR_MOBILE_PHONE , 
	MARK_FOR_BEEPER , 
	MARK_FOR_OTHER_PHONE , 
	MARK_FOR_DAY_FAX_NO , 
	MARK_FOR_EVENING_FAX_NO , 
	MARK_FOR_EMAILID , 
	MARK_FOR_ALTERNATE_EMAILID , 
	MARK_FOR_HTTP_URL 
)
 AS 
SELECT
		 OH.ENTERPRISE_KEY,
		 OL.ORDER_HEADER_KEY,
		 OL.ORDER_LINE_KEY,
		 OL.PRIME_LINE_NO,
		 OL.SUB_LINE_NO,
		 OL.LINE_TYPE,
		 OL.ORDER_CLASS,
		 OL.ITEM_ID,
		 OL.UOM,
		 OL.PRODUCT_CLASS,
		 OL.UNIT_PRICE,
		 OL.COST_CURRENCY,
		 OL.ORDERED_QTY,
		 OL.SHIPNODE_KEY,
		 OL.SHIP_TO_KEY,
		 OL.MARK_FOR_KEY,
		 OL.ALLOCATE_DATE,
		 OL.REQ_DELIVERY_DATE,
		 OL.REQ_CANCEL_DATE,
		 OL.REQ_SHIP_DATE,
		 OL.SCAC,
		 OL.CARRIER_SERVICE_CODE,
		 OL.CARRIER_ACCOUNT_NO,
		 OL.PICKABLE_FLAG,
		 OL.SHIP_TOGETHER_NO,
		 OL.HOLD_FLAG,
		 OL.KIT_CODE,
		 OL.HOLD_REASON_CODE,
		 OL.OTHER_CHARGES,
		 OL.LINE_TOTAL,
		 OL.TAXABLE_FLAG,
		 OL.PERSONALIZE_FLAG,
		 OL.PERSONALIZE_CODE,
		 OL.DEPARTMENT_CODE,
		 OL.CUSTOMER_ITEM,
		 OL.CUSTOMER_ITEM_DESCRIPTION,
		 OL.ITEM_WEIGHT,
		 OL.ITEM_WEIGHT_UOM,
		 OL.ITEM_DESCRIPTION,
		 OL.ITEM_SHORT_DESCRIPTION,
		 OL.RESERVATION_ID,
		 OL.RESERVATION_POOL,
		 OL.CUSTOMER_PO_NO,
		 OL.CUSTOMER_PO_LINE_NO,
		 OL.TAX,
		 OL.DELIVERY_CODE,
		 OL.ORIGINAL_ORDERED_QTY,
		 OL.LIST_PRICE,
		 OL.RETAIL_PRICE,
		 OL.PACKLIST_TYPE,
		 OL.SUPPLIER_ITEM,
		 OL.SUPPLIER_ITEM_DESCRIPTION,
		 OL.UNIT_COST,
		 OL.UPC_CODE,
		 OL.FOB,
		 OL.MANUFACTURER_NAME,
		 OL.MANUFACTURER_ITEM,
		 OL.MANUFACTURER_ITEM_DESC,
		 OL.COUNTRY_OF_ORIGIN,
		 OL.ISBN,
		 OL.HARMONIZED_CODE,
		 OL.SHIP_TO_ID,
		 OL.PRODUCT_LINE,
		 OL.NMFC_CODE,
		 OL.NMFC_CLASS,
		 OL.NMFC_DESCRIPTION,
		 OL.TAX_PRODUCT_CODE,
		 OL.IMPORT_LICENSE_NO,
		 OL.IMPORT_LICENSE_EXP_DATE,
		 OL.ECCN_NO,
		 OL.SCHEDULE_B_CODE,
		 OL.SUPPLIER_CODE,
		 OL.PURPOSE,
		 OL.RECEIVING_NODE,
		 OL.ORIG_ORDER_LINE_KEY,
		 OL.LINE_SEQ_NO,
		 OL.SPLIT_QTY,
		 OL.ALLOCATION_LEAD_TIME,
		 OL.DEPENDENT_ON_LINE_KEY,
		 OL.DEPENDENCY_SHIPPING_RULE,
		 OL.FILL_QUANTITY,
		 OL.DEPENDENCY_RATIO,
		 OL.MAINTAIN_RATIO,
		 OL.MERGE_NODE,
		 OL.PARENT_OF_DEPENDENT_GROUP,
		 OL.SOURCE_FROM_ORGANIZATION,
		 OL.CHAINED_FROM_ORDER_LINE_KEY,
		 OL.CHAINED_FROM_ORDER_HEADER_KEY,
		 OL.DERIVED_FROM_ORDER_LINE_KEY,
		 OL.DERIVED_FROM_ORDER_HEADER_KEY,
		 OL.DERIVED_FROM_ORDER_RELEASE_KEY,
		 OL.DISTRIBUTION_RULE_ID,
		 OL.INVOICED_QUANTITY,
		 OL.OVER_RECEIPT_QUANTITY,
		 OL.RETURN_REASON,
		 OL.INVOICED_LINE_TOTAL,
		 OL.INVOICED_EXTENDED_PRICE,
		 OL.SETTLED_QUANTITY,
		 OL.SETTLED_AMOUNT,
		 OL.PRICING_DATE,
		 OL.PIPELINE_KEY,
		 OL.CONDITION_VARIABLE_1,
		 OL.CONDITION_VARIABLE_2,
		 OL.INVOICE_COMPLETE,
		 OL.SERIAL_NO,
		 DO_NOT_CONSOLIDATE,
		 DELIVERY_METHOD,
		 ITEM_GROUP_CODE,
		 CANNOT_COMPLETE_BEFORE_DATE,
		 CANNOT_COMPLETE_AFTER_DATE,
		 APPT_STATUS,
		 CAN_ADD_SERVICE_LINES,
		 PRICING_UOM,
		 PRICING_QUANTITY,
		 SHIPPED_QUANTITY,
		 FIXED_CAPACITY_QTY_PER_LINE,
		 FIXED_PRICING_QTY_PER_LINE,
		 WAIT_FOR_SEQ_LINE,
		 SCHED_FAILURE_REASON_CODE,
		 EARLIEST_SHIP_DATE,
		 EARLIEST_DELIVERY_DATE,
		 CANNOT_MEET_APPT,
		 PROMISED_APPT_START_DATE,
		 PROMISED_APPT_END_DATE,
		 SEGMENT,
		 SEGMENT_TYPE,
		 EARLIEST_SCHEDULE_DATE,
		 TIMEZONE,
		 ORDERING_UOM,
		 PRICING_QUANTITY_CONV_FACTOR,
		 PRICING_QUANTITY_STRATEGY,
		 INVOICED_PRICING_QUANTITY,
		 IS_STANDALONE_SERVICE,
		 TRAN_DISCREPANCY_QTY,
		 RECEIVED_QUANTITY,
		 INVOICE_BASED_ON_ACTUALS,
		 ACTUAL_PRICING_QUANTITY,
		 BASIC_CAPACITY_REQUIRED,
		 OPTION_CAPACITY_REQUIRED,
		 CURRENT_WORK_ORDER_KEY,
		 GIFT_FLAG,
		 IS_CAPACITY_OVERRIDDEN,
		 CAPACITY_UOM,
		 IS_FORWARDING_ALLOWED,
		 IS_PROCUREMENT_ALLOWED,
		 INTENTIONAL_BACKORDER,
		 FUTURE_AVAIL_DATE,
		 REPRICING_QUANTITY,
		 PI1.PERSON_INFO_KEY,
		 PI1.PERSON_ID,
		 PI1.TITLE,
		 PI1.FIRST_NAME,
		 PI1.MIDDLE_NAME,
		 PI1.LAST_NAME,
		 PI1.SUFFIX,
		 PI1.DEPARTMENT,
		 PI1.COMPANY,
		 PI1.JOB_TITLE,
		 PI1.ADDRESS_LINE1,
		 PI1.ADDRESS_LINE2,
		 PI1.ADDRESS_LINE3,
		 PI1.ADDRESS_LINE4,
		 PI1.ADDRESS_LINE5,
		 PI1.ADDRESS_LINE6,
		 PI1.CITY,
		 PI1.STATE,
		 PI1.ZIP_CODE,
		 PI1.COUNTRY,
		 PI1.DAY_PHONE,
		 PI1.EVENING_PHONE,
		 PI1.MOBILE_PHONE,
		 PI1.BEEPER,
		 PI1.OTHER_PHONE,
		 PI1.DAY_FAX_NO,
		 PI1.EVENING_FAX_NO,
		 PI1.EMAILID,
		 PI1.ALTERNATE_EMAILID,
		 PI1.HTTP_URL,
		 PI3.PERSON_INFO_KEY,
		 PI3.PERSON_ID,
		 PI3.TITLE,
		 PI3.FIRST_NAME,
		 PI3.MIDDLE_NAME,
		 PI3.LAST_NAME,
		 PI3.SUFFIX,
		 PI3.DEPARTMENT,
		 PI3.COMPANY,
		 PI3.JOB_TITLE,
		 PI3.ADDRESS_LINE1,
		 PI3.ADDRESS_LINE2,
		 PI3.ADDRESS_LINE3,
		 PI3.ADDRESS_LINE4,
		 PI3.ADDRESS_LINE5,
		 PI3.ADDRESS_LINE6,
		 PI3.CITY,
		 PI3.STATE,
		 PI3.ZIP_CODE,
		 PI3.COUNTRY,
		 PI3.DAY_PHONE,
		 PI3.EVENING_PHONE,
		 PI3.MOBILE_PHONE,
		 PI3.BEEPER,
		 PI3.OTHER_PHONE,
		 PI3.DAY_FAX_NO,
		 PI3.EVENING_FAX_NO,
		 PI3.EMAILID,
		 PI3.ALTERNATE_EMAILID,
		 PI3.HTTP_URL
FROM  YFS_PERSON_INFO PI1  RIGHT OUTER JOIN  YFS_ORDER_LINE OL  ON  PI1.PERSON_INFO_KEY  = OL.SHIP_TO_KEY   RIGHT OUTER JOIN  YFS_PERSON_INFO PI3  ON  PI3.PERSON_INFO_KEY  = OL.MARK_FOR_KEY ,
	 YFS_ORDER_HEADER OH 
WHERE	 OH.ORDER_HEADER_KEY  = OL.ORDER_HEADER_KEY
 AND	OH.DRAFT_ORDER_FLAG  = 'N'
 AND	OL.ITEM_GROUP_CODE  = 'PS'


;
