CREATE OR REPLACE VIEW YNA_ORG_ROLE_VW  
AS SELECT YOR.ORGANIZATION_KEY, 
--	   YOR.IS_BUYER, 
--	   YOR.IS_SELLER, 
--	   YOR.IS_NODE, 
--	   YOR.IS_HUB_ORGANIZATION,
--	   YOR.IS_CARRIER, 
--	   YOR.IS_ENTERPRISE, 
	   YR.ROLE_KEY,
	   YR.ROLE_ID  
FROM YFS_ORGANIZATION YOR, YFS_ROLE YR
WHERE DECODE(YOR.IS_BUYER,'Y','BUYER', '')=YR.ROLE_ID
OR DECODE(YOR.IS_SELLER,'Y','SELLER', '')=YR.ROLE_ID
OR DECODE(YOR.IS_ENTERPRISE,'Y','ENTERPRISE', '')=YR.ROLE_ID
OR DECODE(YOR.IS_NODE,'Y','NODE', '' )=YR.ROLE_ID
OR DECODE(YOR.IS_HUB_ORGANIZATION,'Y','HUB','')=YR.ROLE_ID
OR DECODE(YOR.IS_CARRIER,'Y','CARRIER','')=YR.ROLE_ID ;