CREATE OR REPLACE VIEW YNA_LOCATION_NL_VW (
LOCATION_KEY,             
NODE_KEY,
LOCATION_ID,
LOCATION_BAR_CODE,
LOCATION_TYPE,
AISLE_NUMBER,
LEVEL_NUMBER,
BAY_NUMBER,
FREEZE_MOVE_IN,
FREEZE_MOVE_OUT,
IN_STAGING_LOCATION_ID,
OUT_STAGING_LOCATION_ID,
VELOCITY_CODE,
ZONE_ID,
STORAGE_CODE,
LOCATION_SIZE_CODE, 
ZONE_DESCRIPTION ) 
AS SELECT 
A1.LOCATION_KEY,             
A1.NODE_KEY,
A1.LOCATION_ID,
A1.LOCATION_BAR_CODE,
A1.LOCATION_TYPE,
A1.AISLE_NUMBER,
A1.LEVEL_NUMBER,
A1.BAY_NUMBER,
A1.FREEZE_MOVE_IN,
A1.FREEZE_MOVE_OUT,
A1.IN_STAGING_LOCATION_ID,
A1.OUT_STAGING_LOCATION_ID,
A1.VELOCITY_CODE,
A1.ZONE_ID,
A1.STORAGE_CODE,
A1.LOCATION_SIZE_CODE,
A2.DESCRIPTION FROM YFS_LOCATION A1, YFS_ZONE A2 WHERE 
A1.ZONE_ID=A2.ZONE_ID AND A1.NODE_KEY=A2.NODE_KEY;

