CREATE OR REPLACE VIEW YNA_INNER_NS_QTY_LPN_NL_VW AS SELECT 
 YFS_LPN_HDR.LPN_NO,
YFS_LPN_HDR.LPN_TYPE,
YFS_LPN_DTL.INVENTORY_ITEM_KEY,
YFS_LPN_DTL.outer_most_LPN_NO,
SUM(YFS_LPN_DTL.QUANTITY) QTY
FROM
YFS_LPN_HDR YFS_LPN_HDR,
YFS_LPN_DTL YFS_LPN_DTL
WHERE
YFS_LPN_HDR.LPN_NO in( select outer_most_LPN_NO from YFS_LPN_DTL 
group by outer_most_LPN_NO
having COUNT(DISTINCT INVENTORY_ITEM_KEY) = 1 )
and YFS_LPN_HDR.LPN_NO = YFS_LPN_DTL.outer_most_LPN_NO
GROUP BY YFS_LPN_DTL.INVENTORY_ITEM_KEY, YFS_LPN_HDR.LPN_NO,YFS_LPN_DTL.outer_most_LPN_NO,
YFS_LPN_HDR.LPN_TYPE
UNION ALL
SELECT YFS_LPN_HDR.LPN_NO,
YFS_LPN_HDR.LPN_TYPE,
YFS_LPN_DTL.INVENTORY_ITEM_KEY,
YFS_LPN_DTL.outer_most_LPN_NO,
SUM(YFS_LPN_DTL.QUANTITY) QTY
FROM
YFS_LPN_HDR YFS_LPN_HDR,
YFS_LPN_DTL YFS_LPN_DTL
WHERE
YFS_LPN_HDR.LPN_NO in( select LPN_NO from YFS_LPN_DTL where
lpn_no <> outer_most_lpn_no group by LPN_NO
having COUNT(DISTINCT INVENTORY_ITEM_KEY) = 1 )
and YFS_LPN_HDR.LPN_NO = YFS_LPN_DTL.LPN_NO
GROUP BY YFS_LPN_DTL.INVENTORY_ITEM_KEY, YFS_LPN_HDR.LPN_NO,YFS_LPN_DTL.outer_most_LPN_NO,
YFS_LPN_HDR.LPN_TYPE
