CREATE OR REPLACE VIEW YNA_INVOICE_LINE_TAX_VW ( 
TAX_BREAKUP_KEY, 
HEADER_KEY, LINE_KEY, RECORD_TYPE, CHARGE_CATEGORY, 
CHARGE_NAME, TAX_NAME, TAXABLE_FLAG, TAX_PERCENTAGE, 
TAX, REFERENCE1, REFERENCE2, REFERENCE3, INVOICED_TAX
) 
AS select 
TAX_BREAKUP_KEY, 
HEADER_KEY, LINE_KEY, RECORD_TYPE, CHARGE_CATEGORY, 
CHARGE_NAME, TAX_NAME, TAXABLE_FLAG, TB.TAX_PERCENTAGE, 
TB.TAX, REFERENCE1, REFERENCE2, REFERENCE3,INVOICED_TAX
from 
--YFS_ORDER_INVOICE_DETAIL OID
 YFS_TAX_BREAKUP TB
WHERE 
--OID.ORDER_INVOICE_KEY = TB.HEADER_KEY (+)
--AND OID.ORDER_LINE_KEY = TB.LINE_KEY (+)
 TB.RECORD_TYPE = 'INV'
;
