CREATE OR REPLACE VIEW YNA_ORDER_RELEASE_ADD_VW ( 	
ORDER_HEADER_KEY  ,
ORDER_RELEASE_KEY, 
 RELEASE_NO, 
 SHIP_TO_KEY, 
 PICK_LIST_NO, 
SHIPNODE_KEY, 
SCAC, 
CARRIER_SERVICE_CODE, 
CUSTCARRIER_ACCOUNT_NO, 
DELIVERY_CODE, 
SHIP_ADVICE_NO, 
PACKLIST_TYPE, 
SALES_ORDER_NO, 
ORDER_NAME, 
ORDER_DATE, 
ORDER_TYPE, 
CUSTOMER_PO_NO, 
ENTERPRISE_KEY, 
MARK_FOR_KEY, 
REQ_DELIVERY_DATE, 
REQ_CANCEL_DATE, 
REQ_SHIP_DATE, 
PRIORITY_CODE, 
PERSONALIZE_CODE, 
CURRENCY, 
HOLD_FLAG, 
HOLD_REASON_CODE, 
FOB, 
AOR_FLAG, 
DIVISION, 
NOTIFY_AFTER_SHIPMENT_FLAG, 
NOTIFICATION_TYPE, 
NOTIFICATION_REFERENCE, 
SHIP_COMPLETE_FLAG, 
SHIP_TO_ID, 
SHIP_NODE_CLASS, 
SUPPLIER_CODE, 
SUPPLIER_NAME, 
RELEASE_SEQ_NO, 
SHIP_ORDER_COMPLETE, 
SHIP_LINE_COMPLETE, 
TAXPAYER_ID, 
PURPOSE, 
OTHER_CHARGES, 
BUYER_ORGANIZATION_CODE,
SELLER_ORGANIZATION_CODE,
DOCUMENT_TYPE,
BILL_TO_ID,
CUST_REQ_DELIVERY_DATE,
CUST_REQ_SHIP_DATE,
PACK_AND_HOLD,
DEPARTMENT_CODE,
ITEM_CLASSIFICATION,
RECEIVING_NODE,
MERGE_NODE,
DELIVERY_METHOD,
            WORK_ORDER_KEY
            ,WORK_ORDER_APPT_KEY
            ,GIFT_FLAG,
SHIP_TO_PERSON_INFO_KEY  ,
	SHIP_TO_PERSON_ID  ,
	SHIP_TO_TITLE  ,
	SHIP_TO_FIRST_NAME  ,
	SHIP_TO_MIDDLE_NAME  ,
	SHIP_TO_LAST_NAME  ,
	SHIP_TO_SUFFIX  ,
	SHIP_TO_DEPARTMENT  ,
	SHIP_TO_COMPANY  ,
	SHIP_TO_JOB_TITLE  ,
	SHIP_TO_ADDRESS_LINE1  ,
	SHIP_TO_ADDRESS_LINE2  ,
	SHIP_TO_ADDRESS_LINE3  ,
	SHIP_TO_ADDRESS_LINE4  ,
	SHIP_TO_ADDRESS_LINE5  ,
	SHIP_TO_ADDRESS_LINE6  ,
	SHIP_TO_CITY  ,
	SHIP_TO_STATE  ,
	SHIP_TO_ZIP_CODE  ,
	SHIP_TO_COUNTRY  ,
	SHIP_TO_DAY_PHONE  ,
	SHIP_TO_EVENING_PHONE  ,
	SHIP_TO_MOBILE_PHONE  ,
	SHIP_TO_BEEPER  ,
	SHIP_TO_OTHER_PHONE  ,
	SHIP_TO_DAY_FAX_NO  ,
	SHIP_TO_EVENING_FAX_NO  ,
	SHIP_TO_EMAILID  ,
	SHIP_TO_ALTERNATE_EMAILID  ,
	SHIP_TO_HTTP_URL 
,	MARK_FOR_PERSON_INFO_KEY  ,
	MARK_FOR_PERSON_ID  ,
	MARK_FOR_TITLE  ,
	MARK_FOR_FIRST_NAME  ,
	MARK_FOR_MIDDLE_NAME  ,
	MARK_FOR_LAST_NAME  ,
	MARK_FOR_SUFFIX  ,
	MARK_FOR_DEPARTMENT  ,
	MARK_FOR_COMPANY  ,
	MARK_FOR_JOB_TITLE  ,
	MARK_FOR_ADDRESS_LINE1  ,
	MARK_FOR_ADDRESS_LINE2  ,
	MARK_FOR_ADDRESS_LINE3  ,
	MARK_FOR_ADDRESS_LINE4  ,
	MARK_FOR_ADDRESS_LINE5  ,
	MARK_FOR_ADDRESS_LINE6  ,
	MARK_FOR_CITY  ,
	MARK_FOR_STATE  ,
	MARK_FOR_ZIP_CODE  ,
	MARK_FOR_COUNTRY  ,
	MARK_FOR_DAY_PHONE  ,
	MARK_FOR_EVENING_PHONE  ,
	MARK_FOR_MOBILE_PHONE  ,
	MARK_FOR_BEEPER  ,
	MARK_FOR_OTHER_PHONE  ,
	MARK_FOR_DAY_FAX_NO  ,
	MARK_FOR_EVENING_FAX_NO  ,
	MARK_FOR_EMAILID  ,
	MARK_FOR_ALTERNATE_EMAILID  ,
	MARK_FOR_HTTP_URL 
  	)
AS SELECT
ORDER_HEADER_KEY  ,
ORDER_RELEASE_KEY, 
REL.RELEASE_NO, 
REL.SHIP_TO_KEY, 
REL.PICK_LIST_NO, 
REL.SHIPNODE_KEY, 
REL.SCAC, 
REL.CARRIER_SERVICE_CODE, 
REL.CUSTCARRIER_ACCOUNT_NO, 
REL.DELIVERY_CODE, 
REL.SHIP_ADVICE_NO, 
REL.PACKLIST_TYPE, 
REL.SALES_ORDER_NO, 
REL.ORDER_NAME, 
REL.ORDER_DATE, 
REL.ORDER_TYPE, 
REL.CUSTOMER_PO_NO, 
REL.ENTERPRISE_KEY, 
REL.MARK_FOR_KEY, 
REL.REQ_DELIVERY_DATE, 
REL.REQ_CANCEL_DATE, 
REL.REQ_SHIP_DATE, 
REL.PRIORITY_CODE, 
REL.PERSONALIZE_CODE, 
REL.CURRENCY, 
REL.HOLD_FLAG, 
REL.HOLD_REASON_CODE, 
REL.FOB, 
REL.AOR_FLAG, 
REL.DIVISION, 
REL.NOTIFY_AFTER_SHIPMENT_FLAG, 
REL.NOTIFICATION_TYPE, 
REL.NOTIFICATION_REFERENCE, 
REL.SHIP_COMPLETE_FLAG, 
REL.SHIP_TO_ID, 
SHIP_NODE_CLASS, 
SUPPLIER_CODE, 
SUPPLIER_NAME, 
RELEASE_SEQ_NO, 
SHIP_ORDER_COMPLETE, 
SHIP_LINE_COMPLETE, 
REL.TAXPAYER_ID, 
REL.PURPOSE, 
REL.OTHER_CHARGES, 
BUYER_ORGANIZATION_CODE,
SELLER_ORGANIZATION_CODE,
DOCUMENT_TYPE,
BILL_TO_ID,
CUST_REQ_DELIVERY_DATE,
CUST_REQ_SHIP_DATE,
PACK_AND_HOLD,
DEPARTMENT_CODE,
ITEM_CLASSIFICATION,
RECEIVING_NODE,	
MERGE_NODE,
DELIVERY_METHOD,
            WORK_ORDER_KEY
            ,WORK_ORDER_APPT_KEY
            ,GIFT_FLAG,
PI.PERSON_INFO_KEY  ,
	PI.PERSON_ID  ,
	PI.TITLE  ,
	PI.FIRST_NAME  ,
	PI.MIDDLE_NAME  ,
	PI.LAST_NAME  ,
	PI.SUFFIX  ,
	PI.DEPARTMENT  ,
	PI.COMPANY  ,
	PI.JOB_TITLE  ,
	PI.ADDRESS_LINE1  ,
	PI.ADDRESS_LINE2  ,
	PI.ADDRESS_LINE3  ,
	PI.ADDRESS_LINE4  ,
	PI.ADDRESS_LINE5  ,
	PI.ADDRESS_LINE6  ,
	PI.CITY  ,
	PI.STATE  ,
	PI.ZIP_CODE  ,
	PI.COUNTRY  ,
	PI.DAY_PHONE  ,
	PI.EVENING_PHONE  ,
	PI.MOBILE_PHONE  ,
	PI.BEEPER  ,
	PI.OTHER_PHONE  ,
	PI.DAY_FAX_NO  ,
	PI.EVENING_FAX_NO  ,
	PI.EMAILID  ,
	PI.ALTERNATE_EMAILID  ,
	PI.HTTP_URL
,	PI3.PERSON_INFO_KEY  ,
	PI3.PERSON_ID  ,
	PI3.TITLE  ,
	PI3.FIRST_NAME  ,
	PI3.MIDDLE_NAME  ,
	PI3.LAST_NAME  ,
	PI3.SUFFIX  ,
	PI3.DEPARTMENT  ,
	PI3.COMPANY  ,
	PI3.JOB_TITLE  ,
	PI3.ADDRESS_LINE1  ,
	PI3.ADDRESS_LINE2  ,
	PI3.ADDRESS_LINE3  ,
	PI3.ADDRESS_LINE4  ,
	PI3.ADDRESS_LINE5  ,
	PI3.ADDRESS_LINE6  ,
	PI3.CITY  ,
	PI3.STATE  ,
	PI3.ZIP_CODE  ,
	PI3.COUNTRY  ,
	PI3.DAY_PHONE  ,
	PI3.EVENING_PHONE  ,
	PI3.MOBILE_PHONE  ,
	PI3.BEEPER  ,
	PI3.OTHER_PHONE  ,
	PI3.DAY_FAX_NO  ,
	PI3.EVENING_FAX_NO  ,
	PI3.EMAILID  ,
	PI3.ALTERNATE_EMAILID  ,
	PI3.HTTP_URL 
 FROM 
  YFS_ORDER_RELEASE REL
, YFS_PERSON_INFO PI
, YFS_PERSON_INFO PI3
WHERE 
PI.PERSON_INFO_KEY (+) = REL.SHIP_TO_KEY
AND PI3.PERSON_INFO_KEY (+) = REL.MARK_FOR_KEY
;