if exists (select * from dbo.sysobjects where id = object_id(N'[YNA_PROCESS_TYPE_STAT_NL_VW ]')and OBJECTPROPERTY(id, N'IsView') = 1)
 DROP VIEW [YNA_PROCESS_TYPE_STAT_NL_VW ]
GO
CREATE VIEW YNA_PROCESS_TYPE_STAT_NL_VW 
(
	DOCUMENT_PARAMS_KEY , 
	DOCUMENT_TYPE , 
	DOCUMENT_DESCRIPTION , 
	BASE_DOCUMENT_TYPE , 
	PROCESS_TYPE_KEY , 
	PROCESS_TYPE , 
	PROCESS_TYPE_NAME , 
	PROCESS_DESCRIPTION , 
	BASE_PROCESS_TYPE , 
	STATUS_KEY , 
	STATUS , 
	STATUS_DESCRIPTION 
)
 AS 
SELECT
		 D.DOCUMENT_PARAMS_KEY,
		 D.DOCUMENT_TYPE,
		 D.DESCRIPTION,
		 D.BASE_DOCUMENT_TYPE,
		 P.PROCESS_TYPE_KEY,
		 P.PROCESS_TYPE,
		 P.PROCESS_TYPE_NAME,
		 P.DESCRIPTION,
		 P.BASE_PROCESS_TYPE,
		 S.STATUS_KEY,
		 S.STATUS,
		 S.DESCRIPTION
FROM  YFS_PROCESS_TYPE P,
	 YFS_DOCUMENT_PARAMS D,
	 YFS_STATUS S 
WHERE	 P.DOCUMENT_TYPE  = D.DOCUMENT_TYPE
 AND	P.PROCESS_TYPE_KEY  = S.PROCESS_TYPE_KEY


GO
