if exists (select * from dbo.sysobjects where id = object_id(N'[YNA_PRODUCTIVITY_TYPE_NL_VW ]')and OBJECTPROPERTY(id, N'IsView') = 1)
 DROP VIEW [YNA_PRODUCTIVITY_TYPE_NL_VW ]
GO
CREATE VIEW YNA_PRODUCTIVITY_TYPE_NL_VW 
(
	PRODUCTIVITY_TYPE_KEY , 
	ORGANIZATION_CODE , 
	PRODUCTIVITY_TYPE , 
	DESCRIPTION , 
	CAPTURE_TRIP_LEVEL_METRICS , 
	ALLOWED_MINS_PER_SOURCE_LOCN , 
	ALLOWED_MINS_PER_TARGET_LOCN , 
	ALLOWED_MINS_PER_TASK , 
	ALLOWED_MINS_PER_CASE , 
	ALLOWED_MINS_PER_PALLET , 
	ALLOWED_MINS_PER_UNIT , 
	ALLOWED_MINS_PER_SOURCE_AISLE , 
	ALLOWED_MINS_PER_TARGET_AISLE , 
	ALLOWED_MINS_PER_ITEM , 
	ALLOWED_MINS_CONSTANT , 
	LOCKID , 
	CREATETS , 
	MODIFYTS , 
	CREATEUSERID , 
	MODIFYUSERID , 
	CREATEPROGID , 
	MODIFYPROGID 
)
 AS 
SELECT
		 PRODUCTIVITY_TYPE_KEY,
		 ORGANIZATION_CODE,
		 PRODUCTIVITY_TYPE,
		 DESCRIPTION,
		 CAPTURE_TRIP_LEVEL_METRICS,
		 ALLOWED_MINS_PER_SOURCE_LOCN,
		 ALLOWED_MINS_PER_TARGET_LOCN,
		 ALLOWED_MINS_PER_TASK,
		 ALLOWED_MINS_PER_CASE,
		 ALLOWED_MINS_PER_PALLET,
		 ALLOWED_MINS_PER_UNIT,
		 ALLOWED_MINS_PER_SOURCE_AISLE,
		 ALLOWED_MINS_PER_TARGET_AISLE,
		 ALLOWED_MINS_PER_ITEM,
		 ALLOWED_MINS_CONSTANT,
		 LOCKID,
		 CREATETS,
		 MODIFYTS,
		 CREATEUSERID,
		 MODIFYUSERID,
		 CREATEPROGID,
		 MODIFYPROGID
FROM  YFS_PRODUCTIVITY_TYPE 


GO
