if exists (select * from dbo.sysobjects where id = object_id(N'[YNA_LOAD_ADD_VW ]')and OBJECTPROPERTY(id, N'IsView') = 1)
 DROP VIEW [YNA_LOAD_ADD_VW ]
GO
CREATE VIEW YNA_LOAD_ADD_VW 
(
	LOAD_KEY , 
	DELIVERY_PLAN_KEY , 
	PICKUP_FROM_SHIPMENT_ORIGIN , 
	DROP_AT_SHIPMENT_DESTINATION , 
	LOAD_NO , 
	DOCUMENT_TYPE , 
	PIPELINE_KEY , 
	LOAD_CLOSED_FLAG , 
	OWNER_ORGANIZATION_CODE , 
	ENTERPRISE_CODE , 
	EXPECTED_DEPARTURE_DATE , 
	ACTUAL_DEPARTURE_DATE , 
	EXPECTED_ARRIVAL_DATE , 
	ACTUAL_ARRIVAL_DATE , 
	ORIGIN_NODE , 
	DESTINATION_NODE , 
	STATUS , 
	STATUS_DATE , 
	LOAD_TYPE , 
	TOTAL_ESTIMATED_CHARGE , 
	TOTAL_ACTUAL_CHARGE , 
	SHIP_VIA , 
	SEAL_NO , 
	SHIP_MODE , 
	TRAILER_NO , 
	PRO_NO , 
	SCAC , 
	CARRIER_SERVICE_CODE , 
	POD_NO , 
	BOL_NO , 
	TOTAL_WEIGHT , 
	TOTAL_WEIGHT_UOM , 
	TOTAL_VOLUME , 
	TOTAL_VOLUME_UOM , 
	APPOINTMENT_NO , 
	HAZARDOUS_MATERIAL , 
	CURRENCY , 
	ORIGIN_ADDRESS_KEY , 
	ORIGIN_PERSON_ID , 
	ORIGIN_TITLE , 
	ORIGIN_FIRST_NAME , 
	ORIGIN_MIDDLE_NAME , 
	ORIGIN_LAST_NAME , 
	ORIGIN_SUFFIX , 
	ORIGIN_DEPARTMENT , 
	ORIGIN_COMPANY , 
	ORIGIN_JOB_TITLE , 
	ORIGIN_ADDRESS_LINE1 , 
	ORIGIN_ADDRESS_LINE2 , 
	ORIGIN_ADDRESS_LINE3 , 
	ORIGIN_ADDRESS_LINE4 , 
	ORIGIN_ADDRESS_LINE5 , 
	ORIGIN_ADDRESS_LINE6 , 
	ORIGIN_CITY , 
	ORIGIN_STATE , 
	ORIGIN_ZIP_CODE , 
	ORIGIN_COUNTRY , 
	ORIGIN_DAY_PHONE , 
	ORIGIN_EVENING_PHONE , 
	ORIGIN_MOBILE_PHONE , 
	ORIGIN_BEEPER , 
	ORIGIN_OTHER_PHONE , 
	ORIGIN_DAY_FAX_NO , 
	ORIGIN_EVENING_FAX_NO , 
	ORIGIN_EMAILID , 
	ORIGIN_ALTERNATE_EMAILID , 
	ORIGIN_HTTP_URL , 
	DESTINATION_ADDRESS_KEY , 
	DESTINATION_PERSON_ID , 
	DESTINATION_TITLE , 
	DESTINATION_FIRST_NAME , 
	DESTINATION_MIDDLE_NAME , 
	DESTINATION_LAST_NAME , 
	DESTINATION_SUFFIX , 
	DESTINATION_DEPARTMENT , 
	DESTINATION_COMPANY , 
	DESTINATION_JOB_TITLE , 
	DESTINATION_ADDRESS_LINE1 , 
	DESTINATION_ADDRESS_LINE2 , 
	DESTINATION_ADDRESS_LINE3 , 
	DESTINATION_ADDRESS_LINE4 , 
	DESTINATION_ADDRESS_LINE5 , 
	DESTINATION_ADDRESS_LINE6 , 
	DESTINATION_CITY , 
	DESTINATION_STATE , 
	DESTINATION_ZIP_CODE , 
	DESTINATION_COUNTRY , 
	DESTINATION_DAY_PHONE , 
	DESTINATION_EVENING_PHONE , 
	DESTINATION_MOBILE_PHONE , 
	DESTINATION_BEEPER , 
	DESTINATION_OTHER_PHONE , 
	DESTINATION_DAY_FAX_NO , 
	DESTINATION_EVENING_FAX_NO , 
	DESTINATION_EMAILID , 
	DESTINATION_ALTERNATE_EMAILID , 
	DESTINATION_HTTP_URL , 
	DEPARTMENT_CODE , 
	ITEM_CLASSIFICATION , 
	CARRIER_PICKUP_TIME , 
	MARK_FOR_KEY , 
	ROUTING_CONTACT_INFO , 
	CUSTOMER_PO_NO , 
	SELLER_ORGANIZATION_CODE , 
	BUYER_ORGANIZATION_CODE , 
	FREIGHT_TERMS , 
	ROUTING_SOURCE , 
	ROUTING_ERROR_CODE , 
	DELIVERY_CODE , 
	CUSTCARRIER_ACCOUNT_NO , 
	PACKLIST_TYPE , 
	DO_NOT_CONSOLIDATE , 
	MANIFEST_KEY , 
	IS_EXP_INCL_IN_MANIFEST , 
	AIRWAY_BILL_NO 
)
 as 
SELECT
		 LOAD_KEY,
		 DELIVERY_PLAN_KEY,
		 PICKUP_FROM_SHIPMENT_ORIGIN,
		 DROP_AT_SHIPMENT_DESTINATION,
		 LOAD_NO,
		 DOCUMENT_TYPE,
		 PIPELINE_KEY,
		 LOAD_CLOSED_FLAG,
		 OWNER_ORGANIZATION_CODE,
		 ENTERPRISE_CODE,
		 EXPECTED_DEPARTURE_DATE,
		 ACTUAL_DEPARTURE_DATE,
		 EXPECTED_ARRIVAL_DATE,
		 ACTUAL_ARRIVAL_DATE,
		 ORIGIN_NODE,
		 DESTINATION_NODE,
		 STATUS,
		 STATUS_DATE,
		 LOAD_TYPE,
		 TOTAL_ESTIMATED_CHARGE,
		 TOTAL_ACTUAL_CHARGE,
		 SHIP_VIA,
		 SEAL_NO,
		 SHIP_MODE,
		 TRAILER_NO,
		 PRO_NO,
		 SCAC,
		 CARRIER_SERVICE_CODE,
		 POD_NO,
		 BOL_NO,
		 TOTAL_WEIGHT,
		 TOTAL_WEIGHT_UOM,
		 TOTAL_VOLUME,
		 TOTAL_VOLUME_UOM,
		 APPOINTMENT_NO,
		 HAZARDOUS_MATERIAL,
		 CURRENCY,
		 ORIGIN_ADDRESS_KEY,
		 PI.PERSON_ID,
		 PI.TITLE,
		 PI.FIRST_NAME,
		 PI.MIDDLE_NAME,
		 PI.LAST_NAME,
		 PI.SUFFIX,
		 PI.DEPARTMENT,
		 PI.COMPANY,
		 PI.JOB_TITLE,
		 PI.ADDRESS_LINE1,
		 PI.ADDRESS_LINE2,
		 PI.ADDRESS_LINE3,
		 PI.ADDRESS_LINE4,
		 PI.ADDRESS_LINE5,
		 PI.ADDRESS_LINE6,
		 PI.CITY,
		 PI.STATE,
		 PI.ZIP_CODE,
		 PI.COUNTRY,
		 PI.DAY_PHONE,
		 PI.EVENING_PHONE,
		 PI.MOBILE_PHONE,
		 PI.BEEPER,
		 PI.OTHER_PHONE,
		 PI.DAY_FAX_NO,
		 PI.EVENING_FAX_NO,
		 PI.EMAILID,
		 PI.ALTERNATE_EMAILID,
		 PI.HTTP_URL,
		 DESTINATION_ADDRESS_KEY,
		 PI3.PERSON_ID,
		 PI3.TITLE,
		 PI3.FIRST_NAME,
		 PI3.MIDDLE_NAME,
		 PI3.LAST_NAME,
		 PI3.SUFFIX,
		 PI3.DEPARTMENT,
		 PI3.COMPANY,
		 PI3.JOB_TITLE,
		 PI3.ADDRESS_LINE1,
		 PI3.ADDRESS_LINE2,
		 PI3.ADDRESS_LINE3,
		 PI3.ADDRESS_LINE4,
		 PI3.ADDRESS_LINE5,
		 PI3.ADDRESS_LINE6,
		 PI3.CITY,
		 PI3.STATE,
		 PI3.ZIP_CODE,
		 PI3.COUNTRY,
		 PI3.DAY_PHONE,
		 PI3.EVENING_PHONE,
		 PI3.MOBILE_PHONE,
		 PI3.BEEPER,
		 PI3.OTHER_PHONE,
		 PI3.DAY_FAX_NO,
		 PI3.EVENING_FAX_NO,
		 PI3.EMAILID,
		 PI3.ALTERNATE_EMAILID,
		 PI3.HTTP_URL,
		 DEPARTMENT_CODE,
		 ITEM_CLASSIFICATION,
		 CARRIER_PICKUP_TIME,
		 MARK_FOR_KEY,
		 ROUTING_CONTACT_INFO,
		 CUSTOMER_PO_NO,
		 SELLER_ORGANIZATION_CODE,
		 BUYER_ORGANIZATION_CODE,
		 FREIGHT_TERMS,
		 ROUTING_SOURCE,
		 ROUTING_ERROR_CODE,
		 DELIVERY_CODE,
		 CUSTCARRIER_ACCOUNT_NO,
		 PACKLIST_TYPE,
		 DO_NOT_CONSOLIDATE,
		 L.MANIFEST_KEY,
		 L.IS_EXP_INCL_IN_MANIFEST,
		 L.AIRWAY_BILL_NO
FROM  YFS_PERSON_INFO PI  RIGHT OUTER JOIN  YFS_LOAD L  ON  PI.PERSON_INFO_KEY  = L.ORIGIN_ADDRESS_KEY   RIGHT OUTER JOIN  YFS_PERSON_INFO PI3  ON  PI3.PERSON_INFO_KEY  = L.DESTINATION_ADDRESS_KEY  



GO
