if exists (select * from dbo.sysobjects where id = object_id(N'[YNA_PRODUCTIVITY_VW ]')and OBJECTPROPERTY(id, N'IsView') = 1)
 DROP VIEW [YNA_PRODUCTIVITY_VW ]
GO
CREATE VIEW YNA_PRODUCTIVITY_VW 
(
	PRODUCTIVITY_KEY , 
	ORGANIZATION_CODE , 
	USER_ID , 
	ENTERPRISE_KEY , 
	PRODUCTIVITY_TYPE , 
	DATE_OF_EXECUTION , 
	WEEK_OF_EXECUTION , 
	MONTH_OF_EXECUTION , 
	EARLIEST_TASK_START_TIME_STAMP , 
	LATEST_TASK_END_TIME_STAMP , 
	NUM_OF_TASKS , 
	NUM_OF_UNITS , 
	NUM_OF_CASES , 
	NUM_OF_PALLETS , 
	NUM_SOURCE_LOCATIONS_VISITED , 
	NUM_TARGET_LOCATIONS_VISITED , 
	NUM_SOURCE_AISLES_VISITED , 
	NUM_TARGET_AISLES_VISITED , 
	NUM_OF_ITEMS , 
	CREDITED_MINS , 
	CREATETS , 
	MODIFYTS 
)
 AS 
SELECT
		 PRODUCTIVITY_KEY,
		 ORGANIZATION_CODE,
		 USER_ID,
		 ENTERPRISE_KEY,
		 PRODUCTIVITY_TYPE,
		 CONVERT(DATETIME, DATE_OF_EXECUTION),
		 CONVERT(NUMERIC(8, 2), CONVERT(VARCHAR(23), DATE_OF_EXECUTION)),
		 CONVERT(NUMERIC(8, 2), CONVERT(VARCHAR(23), DATE_OF_EXECUTION)),
		 EARLIEST_TASK_START_TIME_STAMP,
		 LATEST_TASK_END_TIME_STAMP,
		 NUM_OF_TASKS,
		 NUM_OF_UNITS,
		 NUM_OF_CASES,
		 NUM_OF_PALLETS,
		 NUM_SOURCE_LOCATIONS_VISITED,
		 NUM_TARGET_LOCATIONS_VISITED,
		 NUM_SOURCE_AISLES_VISITED,
		 NUM_TARGET_AISLES_VISITED,
		 NUM_OF_ITEMS,
		 CREDITED_MINS,
		 CREATETS,
		 MODIFYTS
FROM  YFS_PRODUCTIVITY 


GO
