if exists (select * from dbo.sysobjects where id = object_id(N'[YNA_ORDER_AUDIT_VW ]')and OBJECTPROPERTY(id, N'IsView') = 1)
 DROP VIEW [YNA_ORDER_AUDIT_VW ]
GO
CREATE VIEW YNA_ORDER_AUDIT_VW 
(
	ORDER_AUDIT_KEY , 
	ORDER_HEADER_KEY , 
	ORDER_LINE_KEY , 
	ORDER_RELEASE_KEY , 
	ORDER_RELEASE_LINE_KEY , 
	MODIFICATION_TYPE , 
	MODIFICATION_LEVEL , 
	OLD_BUFFER , 
	NEW_BUFFER , 
	REFERENCE_1 , 
	REFERENCE_2 , 
	REFERENCE_3 , 
	REFERENCE_4 , 
	AUDIT_TRANSACTION_ID , 
	DATA_ID , 
	SEQ_NO , 
	REASON_CODE , 
	REASON_TEXT , 
	XML_FORMAT 
)
 AS 
SELECT
		 ORDER_AUDIT_KEY,
		 ORDER_HEADER_KEY,
		 ORDER_LINE_KEY,
		 ORDER_RELEASE_KEY,
		 ORDER_RELEASE_LINE_KEY,
		 MODIFICATION_TYPE,
		 MODIFICATION_LEVEL,
		 OLD_BUFFER,
		 NEW_BUFFER,
		 REFERENCE_1,
		 REFERENCE_2,
		 REFERENCE_3,
		 REFERENCE_4,
		 AUDIT_TRANSACTION_ID,
		 DATA_ID,
		 SEQ_NO,
		 REASON_CODE,
		 REASON_TEXT,
		 XML_FORMAT
FROM  YFS_ORDER_AUDIT 


GO
