if exists (select * from dbo.sysobjects where id = object_id(N'[YNA_PAYMENT_VW ]')and OBJECTPROPERTY(id, N'IsView') = 1)
 DROP VIEW [YNA_PAYMENT_VW ]
GO
CREATE VIEW YNA_PAYMENT_VW 
(
	PAYMENT_KEY , 
	ORDER_HEADER_KEY , 
	PAYMENT_TYPE , 
	CHARGE_SEQUENCE , 
	CUSTOMER_ACCOUNT_NO , 
	CUSTOMER_PO_NO , 
	CREDIT_CARD_TYPE , 
	CREDIT_CARD_NAME , 
	CREDIT_CARD_NO , 
	DISPLAY_CREDIT_CARD_NO , 
	CREDIT_CARD_EXP_DATE , 
	PAYMENT_REFERENCE1 , 
	PAYMENT_REFERENCE2 , 
	PAYMENT_REFERENCE3 , 
	CHEQUE_NO , 
	CHEQUE_REFERENCE , 
	EXTENDED_FLAG , 
	PAY_METHOD_OVERRIDE , 
	MAX_CHARGE_LIMIT , 
	TOTAL_AUTHORIZED , 
	TOTAL_CHARGED , 
	REQUESTED_AUTH_AMOUNT , 
	REQUESTED_CHARGE_AMOUNT , 
	TOTAL_REFUNDED_AMOUNT , 
	INCOMPLETE_PAYMENT_TYPE , 
	SUSPEND_ANY_MORE_CHARGES , 
	UNLIMITED_CHARGES , 
	BILL_TO_KEY , 
	DISPLAY_CUST_ACCT_NO , 
	SVC_NO , 
	DISPLAY_SVC_NO , 
	DISPLAY_PAYMENT_REF1 , 
	TOTAL_ALT_REFUNDED_AMOUNT 
)
 as 
SELECT
		 PAYMENT_KEY,
		 ORDER_HEADER_KEY,
		 PAYMENT_TYPE,
		 CHARGE_SEQUENCE,
		 CUSTOMER_ACCOUNT_NO,
		 CUSTOMER_PO_NO,
		 CREDIT_CARD_TYPE,
		 CREDIT_CARD_NAME,
		 CREDIT_CARD_NO,
		 DISPLAY_CREDIT_CARD_NO,
		 CREDIT_CARD_EXP_DATE,
		 PAYMENT_REFERENCE1,
		 PAYMENT_REFERENCE2,
		 PAYMENT_REFERENCE3,
		 CHEQUE_NO,
		 CHEQUE_REFERENCE,
		 EXTENDED_FLAG,
		 PAY_METHOD_OVERRIDE,
		 MAX_CHARGE_LIMIT,
		 TOTAL_AUTHORIZED,
		 TOTAL_CHARGED,
		 REQUESTED_AUTH_AMOUNT,
		 REQUESTED_CHARGE_AMOUNT,
		 TOTAL_REFUNDED_AMOUNT,
		 INCOMPLETE_PAYMENT_TYPE,
		 SUSPEND_ANY_MORE_CHARGES,
		 UNLIMITED_CHARGES,
		 BILL_TO_KEY,
		 DISPLAY_CUST_ACCT_NO,
		 SVC_NO,
		 DISPLAY_SVC_NO,
		 DISPLAY_PAYMENT_REF1,
		 TOTAL_ALT_REFUNDED_AMOUNT
FROM  YFS_PAYMENT 


GO
