if exists (select * from dbo.sysobjects where id = object_id(N'[YNA_EXCEPTION_INBOX_VW ]')and OBJECTPROPERTY(id, N'IsView') = 1)
 DROP VIEW [YNA_EXCEPTION_INBOX_VW ]
GO
CREATE VIEW YNA_EXCEPTION_INBOX_VW 
(
	INBOX_KEY , 
	INBOX_TYPE , 
	DESCRIPTION , 
	GENERATED_ON , 
	QUEUE_KEY , 
	ENTERPRISE_KEY , 
	SUPPLIER_KEY , 
	SHIPNODE_KEY , 
	ORDER_HEADER_KEY , 
	ORDER_NO , 
	ITEM_ID , 
	EXCEPTION_TYPE , 
	AUTO_RESOLVED_FLAG , 
	RESOLUTION_DATE , 
	PRIORITY , 
	RESOLVE_BY , 
	LAST_UNASSIGN_ALERT , 
	LAST_UNRESOLVE_ALERT , 
	LOCKED_FLAG , 
	LOCKED_BY_USER_KEY , 
	LOCKED_ON , 
	PARENT_INBOX_KEY , 
	DETAIL_DESCRIPTION , 
	ACTIVE_FLAG , 
	CLOSED_ON , 
	FOLLOWUP_DATE , 
	LAST_EXCEED_ALERT , 
	EXCEPTION_ESCALATED_FLAG , 
	OWNER_KEY , 
	ASSIGNED_TO_USER_KEY , 
	ORDER_LINE_KEY , 
	SHIPMENT_NO , 
	LOAD_NO , 
	SHIPMENT_KEY , 
	MOVE_REQUEST_KEY , 
	LOCATION_ID , 
	WORK_ORDER_KEY , 
	WORK_ORDER_NO , 
	CONSOLIDATION_COUNT , 
	LAST_OCCURRED_ON , 
	FLOW_NAME , 
	API_NAME , 
	SUB_FLOW_NAME , 
	VIEW_ID , 
	ERROR_REASON , 
	ERROR_TYPE , 
	EXPIRATION_DAYS 
)
 AS 
SELECT
		 INBOX_KEY,
		 INBOX_TYPE,
		 DESCRIPTION,
		 GENERATED_ON,
		 QUEUE_KEY,
		 ENTERPRISE_KEY,
		 SUPPLIER_KEY,
		 SHIPNODE_KEY,
		 ORDER_HEADER_KEY,
		 ORDER_NO,
		 ITEM_ID,
		 EXCEPTION_TYPE,
		 AUTO_RESOLVED_FLAG,
		 RESOLUTION_DATE,
		 PRIORITY,
		 RESOLVE_BY,
		 LAST_UNASSIGN_ALERT,
		 LAST_UNRESOLVE_ALERT,
		 LOCKED_FLAG,
		 LOCKED_BY_USER_KEY,
		 LOCKED_ON,
		 PARENT_INBOX_KEY,
		 DETAIL_DESCRIPTION,
		 ACTIVE_FLAG,
		 CLOSED_ON,
		 FOLLOWUP_DATE,
		 LAST_EXCEED_ALERT,
		 EXCEPTION_ESCALATED_FLAG,
		 OWNER_KEY,
		 ASSIGNED_TO_USER_KEY,
		 ORDER_LINE_KEY,
		 SHIPMENT_NO,
		 LOAD_NO,
		 SHIPMENT_KEY,
		 MOVE_REQUEST_KEY,
		 LOCATION_ID,
		 WORK_ORDER_KEY,
		 WORK_ORDER_NO,
		 CONSOLIDATION_COUNT,
		 LAST_OCCURRED_ON,
		 FLOW_NAME,
		 API_NAME,
		 SUB_FLOW_NAME,
		 VIEW_ID,
		 ERROR_REASON,
		 ERROR_TYPE,
		 EXPIRATION_DAYS
FROM  YFS_INBOX 


GO
