if exists (select * from dbo.sysobjects where id = object_id(N'[YNA_INVOICE_ORDER_VW ]')and OBJECTPROPERTY(id, N'IsView') = 1)
 DROP VIEW [YNA_INVOICE_ORDER_VW ]
GO
CREATE VIEW YNA_INVOICE_ORDER_VW 
(
	ORDER_INVOICE_KEY , 
	ORDER_HEADER_KEY , 
	RETURN_RELEASE_KEY , 
	SHIPMENT_KEY , 
	CHARGE_TRANSACTION_KEY , 
	MASTER_INVOICE_NO , 
	INVOICE_NO , 
	INVOICE_TYPE , 
	CHARGED_ACTUAL_FREIGHT , 
	TAX , 
	ACTUAL_FREIGHT_CHARGE , 
	TOTAL_TAX , 
	LINE_SUBTOTAL , 
	STATUS , 
	TOTAL_AMOUNT , 
	AMOUNT_COLLECTED , 
	COLLECTED_EXTERNALLY , 
	AMOUNT_PASSED_TO_AR , 
	OTHER_CHARGES , 
	DERIVED_FROM_ORDER_HEADER_KEY , 
	REFERENCE_1 , 
	ORDER_NO , 
	CURRENCY , 
	INVOICE_CREATION_REASON 
)
 AS 
SELECT
		 ORDER_INVOICE_KEY,
		 ORDER_HEADER_KEY,
		 RETURN_RELEASE_KEY,
		 SHIPMENT_KEY,
		 CHARGE_TRANSACTION_KEY,
		 MASTER_INVOICE_NO,
		 INVOICE_NO,
		 INVOICE_TYPE,
		 CHARGED_ACTUAL_FREIGHT,
		 TAX,
		 ACTUAL_FREIGHT_CHARGE,
		 TOTAL_TAX,
		 LINE_SUBTOTAL,
		 STATUS,
		 TOTAL_AMOUNT,
		 AMOUNT_COLLECTED,
		 COLLECTED_EXTERNALLY,
		 AMOUNT_PASSED_TO_AR,
		 OTHER_CHARGES,
		 DERIVED_FROM_ORDER_HEADER_KEY,
		 REFERENCE_1,
		 ORDER_NO,
		 CURRENCY,
		 INVOICE_CREATION_REASON
FROM  YFS_ORDER_INVOICE 


GO
