if exists (select * from dbo.sysobjects where id = object_id(N'[YNA_INVOICE_TAX_CHARGES_VW ]')and OBJECTPROPERTY(id, N'IsView') = 1)
 DROP VIEW [YNA_INVOICE_TAX_CHARGES_VW ]
GO
CREATE VIEW YNA_INVOICE_TAX_CHARGES_VW 
(
	TAX_BREAKUP_KEY , 
	HEADER_KEY , 
	LINE_KEY , 
	RECORD_TYPE , 
	CHARGE_CATEGORY , 
	CHARGE_NAME , 
	TAX_NAME , 
	TAXABLE_FLAG , 
	TAX_PERCENTAGE , 
	TAX , 
	REFERENCE1 , 
	REFERENCE2 , 
	REFERENCE3 , 
	INVOICED_TAX 
)
 AS 
SELECT
		 TAX_BREAKUP_KEY,
		 HEADER_KEY,
		 LINE_KEY,
		 RECORD_TYPE,
		 CHARGE_CATEGORY,
		 CHARGE_NAME,
		 TAX_NAME,
		 TAXABLE_FLAG,
		 TB.TAX_PERCENTAGE,
		 TB.TAX,
		 REFERENCE1,
		 REFERENCE2,
		 REFERENCE3,
		 INVOICED_TAX
FROM  YFS_TAX_BREAKUP TB 
WHERE	 TB.RECORD_TYPE  = 'INV'


GO
