if exists (select * from dbo.sysobjects where id = object_id(N'[YNA_ORDLINE_TAX_VW ]')and OBJECTPROPERTY(id, N'IsView') = 1)
 DROP VIEW [YNA_ORDLINE_TAX_VW ]
GO
CREATE VIEW YNA_ORDLINE_TAX_VW 
(
	TAX_BREAKUP_KEY , 
	HEADER_KEY , 
	LINE_KEY , 
	RECORD_TYPE , 
	CHARGE_CATEGORY , 
	CHARGE_NAME , 
	TAX_NAME , 
	TAXABLE_FLAG , 
	TAX_PERCENTAGE , 
	TAX , 
	INVOICED_TAX , 
	REFERENCE1 , 
	REFERENCE2 , 
	REFERENCE3 
)
 AS 
SELECT
		 TB.TAX_BREAKUP_KEY,
		 HEADER_KEY,
		 LINE_KEY,
		 TB.RECORD_TYPE,
		 TB.CHARGE_CATEGORY,
		 TB.CHARGE_NAME,
		 TB.TAX_NAME,
		 TB.TAXABLE_FLAG,
		 TB.TAX_PERCENTAGE,
		 TB.TAX,
		 INVOICED_TAX,
		 REFERENCE1,
		 TB.REFERENCE2,
		 TB.REFERENCE3
FROM  YFS_TAX_BREAKUP TB 
WHERE	 TB.RECORD_TYPE  = 'ORD'


GO
