if exists (select * from dbo.sysobjects where id = object_id(N'[YNA_RECEIPT_LINE_VW ]')and OBJECTPROPERTY(id, N'IsView') = 1)
 DROP VIEW [YNA_RECEIPT_LINE_VW ]
GO
CREATE VIEW YNA_RECEIPT_LINE_VW 
(
	RECEIPT_LINE_KEY , 
	RECEIPT_HEADER_KEY , 
	RECEIPT_LINE_NO , 
	ORDER_HEADER_KEY , 
	ORDER_RELEASE_KEY , 
	ORDER_LINE_KEY , 
	ORIG_RECEIPT_LINE_KEY , 
	DISPOSITION_CODE , 
	ORIGINAL_QUANTITY , 
	QUANTITY , 
	INSPECTED_BY , 
	INSPECTION_DATE , 
	INSPECTION_COMMENTS , 
	SERIAL_NO , 
	LOT_NUMBER , 
	SHIP_BY_DATE , 
	ENTERPRISE_KEY , 
	ORDER_NO , 
	RELEASE_NO , 
	PRIME_LINE_NO , 
	SUB_LINE_NO , 
	SHIPMENT_LINE_KEY , 
	SHIPMENT_LINE_NO , 
	ITEM_ID , 
	UOM , 
	NET_WEIGHT , 
	NET_WEIGHT_UOM , 
	PRODUCT_CLASS , 
	TAG_NUMBER , 
	COUNTRY_OF_ORIGIN , 
	SHIPMENT_CONTAINER_KEY , 
	LPN_NO , 
	LPN_TYPE , 
	LOT_KEY_REFERENCE , 
	LOT_MANUFACTURE_DATE , 
	LOT_ATTRIBUTE1 , 
	LOT_ATTRIBUTE2 , 
	LOT_ATTRIBUTE3 , 
	REVISION_NO , 
	BATCH_NO , 
	FIFO_NO , 
	LOCATION_ID , 
	SHIPMENT_SUB_LINE_NO , 
	IS_INSPECTION_PENDING 
)
 as 
SELECT
		 RECEIPT_LINE_KEY,
		 RECEIPT_HEADER_KEY,
		 RECEIPT_LINE_NO,
		 ORDER_HEADER_KEY,
		 ORDER_RELEASE_KEY,
		 ORDER_LINE_KEY,
		 ORIG_RECEIPT_LINE_KEY,
		 DISPOSITION_CODE,
		 ORIGINAL_QUANTITY,
		 QUANTITY,
		 INSPECTED_BY,
		 INSPECTION_DATE,
		 INSPECTION_COMMENTS,
		 SERIAL_NO,
		 LOT_NUMBER,
		 SHIP_BY_DATE,
		 ENTERPRISE_KEY,
		 ORDER_NO,
		 RELEASE_NO,
		 PRIME_LINE_NO,
		 SUB_LINE_NO,
		 SHIPMENT_LINE_KEY,
		 SHIPMENT_LINE_NO,
		 ITEM_ID,
		 UOM,
		 NET_WEIGHT,
		 NET_WEIGHT_UOM,
		 PRODUCT_CLASS,
		 TAG_NUMBER,
		 COUNTRY_OF_ORIGIN,
		 SHIPMENT_CONTAINER_KEY,
		 LPN_NO,
		 LPN_TYPE,
		 LOT_KEY_REFERENCE,
		 LOT_MANUFACTURE_DATE,
		 LOT_ATTRIBUTE1,
		 LOT_ATTRIBUTE2,
		 LOT_ATTRIBUTE3,
		 REVISION_NO,
		 BATCH_NO,
		 FIFO_NO,
		 LOCATION_ID,
		 SHIPMENT_SUB_LINE_NO,
		 IS_INSPECTION_PENDING
FROM  YFS_RECEIPT_LINE 


GO
