if exists (select * from dbo.sysobjects where id = object_id(N'[YNA_SHIPMENT_LINE_NL_VW ]')and OBJECTPROPERTY(id, N'IsView') = 1)
 DROP VIEW [YNA_SHIPMENT_LINE_NL_VW ]
GO
CREATE VIEW YNA_SHIPMENT_LINE_NL_VW 
(
	SHIPMENT_LINE_KEY , 
	SHIPMENT_KEY , 
	SHIPMENT_LINE_NO , 
	ORDER_HEADER_KEY , 
	ORDER_RELEASE_KEY , 
	ORDER_LINE_KEY , 
	ORDER_NO , 
	RELEASE_NO , 
	PRIME_LINE_NO , 
	SUB_LINE_NO , 
	ITEM_ID , 
	PRODUCT_CLASS , 
	UOM , 
	NET_WEIGHT , 
	NET_WEIGHT_UOM , 
	COUNTRY_OF_ORIGIN , 
	FIFO_NO , 
	QUANTITY , 
	REQUESTED_TAG_NUMBER , 
	SHIPMENT_SUB_LINE_NO , 
	ORIGINAL_QUANTITY , 
	KIT_QTY , 
	REQUESTED_SERIAL_NO , 
	ITEM_DESCRIPTION , 
	SEGMENT , 
	SEGMENT_TYPE , 
	WAVE_NO , 
	CUSTOMER_PO_NO , 
	MARK_FOR_KEY , 
	KIT_CODE , 
	IS_PICKABLE , 
	DEPARTMENT_CODE , 
	SHORTAGE_QTY , 
	OVER_SHIP_QUANTITY , 
	IS_HAZMAT 
)
 AS 
SELECT
		 SHIPMENT_LINE_KEY,
		 SHIPMENT_KEY,
		 SHIPMENT_LINE_NO,
		 ORDER_HEADER_KEY,
		 ORDER_RELEASE_KEY,
		 ORDER_LINE_KEY,
		 ORDER_NO,
		 RELEASE_NO,
		 PRIME_LINE_NO,
		 SUB_LINE_NO,
		 ITEM_ID,
		 PRODUCT_CLASS,
		 UOM,
		 NET_WEIGHT,
		 NET_WEIGHT_UOM,
		 COUNTRY_OF_ORIGIN,
		 FIFO_NO,
		 QUANTITY,
		 REQUESTED_TAG_NUMBER,
		 SHIPMENT_SUB_LINE_NO,
		 ORIGINAL_QUANTITY,
		 KIT_QTY,
		 REQUESTED_SERIAL_NO,
		 ITEM_DESCRIPTION,
		 SEGMENT,
		 SEGMENT_TYPE,
		 WAVE_NO,
		 CUSTOMER_PO_NO,
		 MARK_FOR_KEY,
		 KIT_CODE,
		 IS_PICKABLE,
		 DEPARTMENT_CODE,
		 SHORTAGE_QTY,
		 OVER_SHIP_QUANTITY,
		 IS_HAZMAT
FROM  YFS_SHIPMENT_LINE 


GO
