if exists (select * from dbo.sysobjects where id = object_id(N'[YNA_INNER_NS_QTY_LPN_NL_VW ]')and OBJECTPROPERTY(id, N'IsView') = 1)
 DROP VIEW [YNA_INNER_NS_QTY_LPN_NL_VW ]
GO
CREATE VIEW YNA_INNER_NS_QTY_LPN_NL_VW 
AS 
SELECT
		 YFS_LPN_HDR.LPN_NO,
		 YFS_LPN_HDR.LPN_TYPE,
		 YFS_LPN_DTL.INVENTORY_ITEM_KEY,
		 YFS_LPN_DTL.outer_most_LPN_NO,
		 SUM(CONVERT(FLOAT, YFS_LPN_DTL.QUANTITY)) QTY
FROM  YFS_LPN_HDR YFS_LPN_HDR,
	 YFS_LPN_DTL YFS_LPN_DTL 
WHERE	 YFS_LPN_HDR.LPN_NO  in
	(
 	SELECT outer_most_LPN_NO
	FROM  YFS_LPN_DTL 
	GROUP BY  outer_most_LPN_NO 
HAVING COUNT(DISTINCT INVENTORY_ITEM_KEY)  = 1  
	)
 AND	YFS_LPN_HDR.LPN_NO  = YFS_LPN_DTL.outer_most_LPN_NO
GROUP BY YFS_LPN_DTL.INVENTORY_ITEM_KEY,
	 YFS_LPN_HDR.LPN_NO,
	 YFS_LPN_DTL.outer_most_LPN_NO,
	  YFS_LPN_HDR.LPN_TYPE 
UNION ALL
 SELECT
		 YFS_LPN_HDR.LPN_NO,
		 YFS_LPN_HDR.LPN_TYPE,
		 YFS_LPN_DTL.INVENTORY_ITEM_KEY,
		 YFS_LPN_DTL.outer_most_LPN_NO,
		 SUM(CONVERT(FLOAT, YFS_LPN_DTL.QUANTITY)) QTY
FROM  YFS_LPN_HDR YFS_LPN_HDR,
	 YFS_LPN_DTL YFS_LPN_DTL 
WHERE	 YFS_LPN_HDR.LPN_NO  in
	(
 	SELECT LPN_NO
	FROM  YFS_LPN_DTL 
	WHERE	 lpn_no  <> outer_most_lpn_no
	GROUP BY  LPN_NO 
HAVING COUNT(DISTINCT INVENTORY_ITEM_KEY)  = 1  
	)
 AND	YFS_LPN_HDR.LPN_NO  = YFS_LPN_DTL.LPN_NO
GROUP BY YFS_LPN_DTL.INVENTORY_ITEM_KEY,
	 YFS_LPN_HDR.LPN_NO,
	 YFS_LPN_DTL.outer_most_LPN_NO,
	  YFS_LPN_HDR.LPN_TYPE 
 


GO
