#!/bin/sh
# Copyright  2005, Yantra Corporation. All rights reserved.

# This is the bat file that should be executed by any scheduler.
# For parallel/different interval refresh of cubes, make multiple copies of 
# this file (See Analytics documentation).

#Set the ANALYTICS_HOME below to point to the location of your Yantra Analytics installation
if [ -z $ANALYTICS_HOME ]; then
    ANALYTICS_HOME=
fi;
export ANALYTICS_HOME

if [ -z $ANALYTICS_HOME ]; then 
    echo "Please set the ANALYTICS_HOME correctly"; 
    exit 1;
else
    $ANALYTICS_HOME/Scripts/commands.sh > $ANALYTICS_HOME/logs/refresh_task.log
if [ $? -eq 0 ]; then
    exit 0;
else
    echo "*********************************************"
    echo "ERROR: commands.sh did not execute correctly."
    echo "*********************************************"
    exit 1;
fi;
fi;