@rem For parallel/different interval refresh of cubes, make multiple copies of this file (See Analytics documentation)
@rem To obtain a .pyi file, 'Save As...' the .mdl file.
@rem Close all the open Analytics cubes before running this script

if "%COGNOS_HOME%"=="" goto usage
if "%ANALYTICS_HOME%"=="" goto usage

"%COGNOS_HOME%\cer3\bin\trnsfrmr.exe" -n "%ANALYTICS_HOME%\Transformer models\inventory valuation.pyi"
"%COGNOS_HOME%\cer3\bin\trnsfrmr.exe" -n "%ANALYTICS_HOME%\Transformer models\exception profile.pyi"
"%COGNOS_HOME%\cer3\bin\trnsfrmr.exe" -n "%ANALYTICS_HOME%\Transformer models\order profile.pyi"
"%COGNOS_HOME%\cer3\bin\trnsfrmr.exe" -n "%ANALYTICS_HOME%\Transformer models\order line profile.pyi"
"%COGNOS_HOME%\cer3\bin\trnsfrmr.exe" -n "%ANALYTICS_HOME%\Transformer models\ship node profile.pyi"

@rem If you specify the -s option, the model stores the categories (can result in a large model file).
@rem "%COGNOS_HOME%\cer3\bin\trnsfrmr.exe" -n -s "%ANALYTICS_HOME%\Transformer models\Order Profile.pyi"

@rem Modify the copy cube.bat file to copy the same list of cubes that you are refreshing
call "%ANALYTICS_HOME%\Scripts\copy_cube.bat"

@rem The Transformer log file is created in the logs directory set in the Directories option in the Transformer.

goto end

:usage
echo "Set COGNOS_HOME=<your Cognos (Transformer) install location, ex: X:\Program Files\Cognos>"
echo "Set ANALYTICS_HOME=<your Analytics install location, ex: Y:\Yantra\Analytics>"
:end